<%

//*
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*/
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 011002  7486            Change the country and state list to match that of tax. 
// 021111  13470           Get country and state list from databeans. 
// 030123  13733  vaschman add alternative text to submit button (accessiblity)
// 030224  14408  hamid    Expand e-mail field from 30 to 256
// 030224  14470  vaschman remove extra V in display of VISUAL_STYLES
// 030224  14462  vaschman change hard coded "none selected" to variable from property file
// 030309  14475  vaschman use variables for alt tags - (translation)
// 030329  14880  vaschman remove width and height on html to improve the image distoration (translation)
// 030401  14970  vaschman add new string variable - as it makes a difference in translation trying to use it in 2 places
// 030403  14963  vaschman remove some of the sample catagories as these exceed the browser limits and causes errors
// 030507  14750  hamid    Convert special chars to HTML format in most fields
////////////////////////////////////////////////////////////////////////

//* edit_registration
%>

<%@ page language="java" %>
<% // All JSPs requires the first 4 packages for getResource.jsp which is used for multi language support %> 
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.usermanagement.commands.ECUserConstants" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.security.commands.ECSecurityConstants" %>
<%@ page import="java.text.MessageFormat" %>
<%@ page import="com.ibm.commerce.ras.ECMessageHelper" %>
<%@ include file="getResource.jsp"%>
<% response.setContentType(dmstoretext.getString("ENCODESTATEMENT")); %> 

<%@ include file="lightbox/jsp/DMJSPSpecialChars.inc"%> <% //d14750 %>

<%
// JSPHelper provides you with a easy way to retrieve 
//              URL parameters when they are encrypted
JSPHelper jhelper = new JSPHelper(request);

String storeId    = jhelper.getParameter("storeId");
String catalogId  = jhelper.getParameter("catalogId");
String languageId = jhelper.getParameter("langId");
// prepare an object for inserting the store name into some property file's text using MessageFormat
if (storeName == "")
        storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
Object[] arguments = { new String(storeName) };

//The stuff above can also be taken from the commandcontext
//CommandContext cc = (CommandContext)request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
//Integer id1 = cc.getStoreId();
%>

<jsp:useBean id="bnError" class="com.ibm.commerce.beans.ErrorDataBean" scope="page">
<% com.ibm.commerce.beans.DataBeanManager.activate(bnError, request); %>
</jsp:useBean>

<%
//d12761: Sametime feature -- BEGIN
String enableSametimeFeature = "0";
try {
    enableSametimeFeature = dmstoreconfig.getString("ENABLE_SAMETIME_FEATURE");
} catch (Exception e) {
}
//d12761: Sametime feature -- END

String strErrorMessage = null;
String strErrorCode;

String strLogonID;
String strPassword;
String strPersonTitle = "";
String strBusinessTitle = "";
String strFirstName = "";
String strLastName;
String strChallengeQuestion = "";
String strChallengeAnswer = "";
String strSametime = ""; //d12761

String strAddress1 = "";
String strAddress2 = "";
String strCity = "";
String strState = "";
String strZipCode = "";
String strCountry = "";

String strEmail1 = "";
String strPhone1 = "";
String strFax1 = "";

String strAge = "0";
String strGender = "N";
String strMaritalStatus = "0";
String strIncome = "0";
String strHousehold = "0";
String strChildren = "0";
String strCompanyName = "";
String strHobbies = "";

String strDemographicField1 = "";
String strDemographicField2 = "";
String strDemographicField3 = "";
String strDemographicField4 = "";
String strDemographicField5 = "";
String strDemographicField7 = "";
String strUserField1 = null;

TypedProperty hshErrorProperties = bnError.getExceptionData();
if (hshErrorProperties != null)
{
        // There is an error in the form submission.
        // Get the values entered by the user and populate the form.

        strLogonID              = jhelper.getParameter(ECUserConstants.EC_UP_LOGONID);
        strPassword             = jhelper.getParameter(ECUserConstants.EC_UP_LOGPSWD);
        strPersonTitle          = jhelper.getParameter("personTitle");
        strBusinessTitle        = jhelper.getParameter("businessTitle");
        strFirstName            = jhelper.getParameter(ECUserConstants.EC_ADDR_FIRSTNAME);
        strLastName                     = jhelper.getParameter(ECUserConstants.EC_ADDR_LASTNAME);
        strChallengeQuestion = jhelper.getParameter("challengeQuestion");
        strChallengeAnswer   = jhelper.getParameter("challengeAnswer");
        strSametime          = jhelper.getParameter("manager"); //d12761

        strAddress1     = jhelper.getParameter(ECUserConstants.EC_ADDR_ADDRESS1);
        strAddress2 = jhelper.getParameter(ECUserConstants.EC_ADDR_ADDRESS2);
        strCity         = jhelper.getParameter(ECUserConstants.EC_ADDR_CITY);
        strState        = jhelper.getParameter("state");
        strZipCode      = jhelper.getParameter(ECUserConstants.EC_ADDR_ZIPCODE);
        strCountry      = jhelper.getParameter("country");

    strEmail1   = jhelper.getParameter("email1");
    strPhone1   = jhelper.getParameter("phone1");
    strFax1             = jhelper.getParameter("fax1");

    strAge                      = jhelper.getParameter("age");
    strGender           = jhelper.getParameter("gender");
    strMaritalStatus = jhelper.getParameter("maritalStatus");
    strIncome           = jhelper.getParameter("income");
    strHousehold        = jhelper.getParameter("household");
    strCompanyName      = jhelper.getParameter("companyName");
    strHobbies          = jhelper.getParameter("hobbies");
    
    strDemographicField1 = jhelper.getParameter("demographicField1");
    strDemographicField2 = jhelper.getParameter("demographicField2");
    strDemographicField3 = jhelper.getParameter("demographicField3");
    strDemographicField4 = jhelper.getParameter("demographicField4");
    strDemographicField5 = jhelper.getParameter("demographicField5");
    strDemographicField7 = jhelper.getParameter("demographicField7");
    strUserField1 = jhelper.getParameter("userField1");
        
        //There is an error in the form submission.
                strErrorCode = hshErrorProperties.getString(ECConstants.EC_ERROR_CODE, "");
        Object[] args = {new Integer(0), new Integer(0), new Integer(0), new Integer(0)};
        String policyAccount = ECSecurityConstants.ACCOUNT_POLICY;              // Get the default account policy

        PolicyAccountAccessBean abPolicyAccount= new PolicyAccountAccessBean();
        abPolicyAccount.setInitKey_iPolicyAccountId(policyAccount);
        String passPolicyId = abPolicyAccount.getPolicyPasswordId();           // Get the password policy id from the AccountPolicyDataBean

        PolicyPasswordAccessBean abPolicyPassword = new PolicyPasswordAccessBean();
        abPolicyPassword.setInitKey_iPolicyPasswordId(passPolicyId);
        String minLength = abPolicyPassword.getMinimumPasswordLength();        // Get the attributes needed for the error messages
        String minNumeric = abPolicyPassword.getMinimumNumeric();
        String minAlphabetic = abPolicyPassword.getMinimumAlphabetic();
        String maxInstances = abPolicyPassword.getMaximumInstances();
        String maxConsec = abPolicyPassword.getMaximumConsecutiveType();                
        if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONID))
                strErrorMessage = dmstoretext.getString("ERROR_MESSAGE10");
        if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_LOGONID_EXISTS))
                strErrorMessage = dmstoretext.getString("ERROR_MESSAGE11");

        if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONPASSWORD))
                strErrorMessage = dmstoretext.getString("ERROR_MESSAGE12");
        if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONPASSWORDVERIFY))
                strErrorMessage = dmstoretext.getString("ERROR_MESSAGE13");
        if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_PASSWORDS_NOT_SAME))
                strErrorMessage = dmstoretext.getString("ERROR_MESSAGE14");

        if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_LASTNAME))
                strErrorMessage = dmstoretext.getString("ERROR_MESSAGE15");
        if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_MISSING_LOGONPASSWORDVERIFY))
                strErrorMessage = dmstoretext.getString("ERROR_MESSAGE16");

        if (strErrorCode.equals(ECSecurityConstants.ERR_MINIMUMLENGTH_PASSWORD))
                {
                        args[0] = new Integer(minLength);                       
                        args[1] = new Integer(minNumeric);                      
                        args[2] = new Integer(minAlphabetic);           
                        strErrorMessage = MessageFormat.format(ECMessageHelper.doubleTheApostrophy(dmstoretext.getString("PASS_ERROR_MESSAGE21")), args);               
                }
        if (strErrorCode.equals(ECSecurityConstants.ERR_MINIMUMDIGITS_PASSWORD))
                        {
                        args[0] = new Integer(minLength);                       
                        args[1] = new Integer(minNumeric);                      
                        args[2] = new Integer(minAlphabetic);                                   
                        strErrorMessage = MessageFormat.format(ECMessageHelper.doubleTheApostrophy(dmstoretext.getString("PASS_ERROR_MESSAGE22")), args);       
                        }
        if (strErrorCode.equals(ECSecurityConstants.ERR_MINIMUMLETTERS_PASSWORD))
                        {
                        args[0] = new Integer(minLength);                       
                        args[1] = new Integer(minNumeric);                      
                        args[2] = new Integer(minAlphabetic);                           
                        strErrorMessage = MessageFormat.format(ECMessageHelper.doubleTheApostrophy(dmstoretext.getString("PASS_ERROR_MESSAGE23")), args);       
                        }
        if (strErrorCode.equals(ECSecurityConstants.ERR_USERIDMATCH_PASSWORD))
                strErrorMessage = dmstoretext.getString("PASS_ERROR_MESSAGE4"); 
        if (strErrorCode.equals(ECSecurityConstants.ERR_REUSEOLD_PASSWORD))
                strErrorMessage = dmstoretext.getString("PASS_ERROR_MESSAGE5"); 
        if (strErrorCode.equals(ECSecurityConstants.ERR_MAXCONSECUTIVECHAR_PASSWORD))
                        {
                        arguments[0] = new Integer(maxConsec);                  
                        strErrorMessage = MessageFormat.format(ECMessageHelper.doubleTheApostrophy(dmstoretext.getString("PASS_ERROR_MESSAGE26")), arguments);  
                        }
        if (strErrorCode.equals(ECSecurityConstants.ERR_MAXINTANCECHAR_PASSWORD))
                        {
                        arguments[0] = new Integer(maxInstances);                       
                        strErrorMessage = MessageFormat.format(ECMessageHelper.doubleTheApostrophy(dmstoretext.getString("PASS_ERROR_MESSAGE27")), arguments);  
                        }

}
else
{
        // Form is loading under normal condition.
        // Retrieve shopper's information and populate the form.
%>

<jsp:useBean id="bnRegister" class="com.ibm.commerce.user.beans.UserRegistrationDataBean" scope="page">
<% 
        bnRegister.setProfileType("C");
        com.ibm.commerce.beans.DataBeanManager.activate(bnRegister, request); 
%>
</jsp:useBean>

<%
        strLogonID                      = getNonNull(bnRegister.getLogonId());
        strPassword             = getNonNull(bnRegister.getLogonPassword());
        strPersonTitle              = getNonNull(bnRegister.getPersonTitle());
        strBusinessTitle    = getNonNull(bnRegister.getBusinessTitle());
        strFirstName            = getNonNull(bnRegister.getFirstName());
        strLastName                 = getNonNull(bnRegister.getLastName());
        strChallengeQuestion = getNonNull(bnRegister.getChallengeQuestion());
        strChallengeAnswer  = getNonNull(bnRegister.getChallengeAnswer());
        strSametime         = getNonNull(bnRegister.getManager()); //d12761

        strAddress1             = getNonNull(bnRegister.getAddress1());
        strAddress2             = getNonNull(bnRegister.getAddress2());
        strCity                 = getNonNull(bnRegister.getCity());
        strState                = getNonNull(bnRegister.getState());
        strZipCode              = getNonNull(bnRegister.getZipCode());
        strCountry              = getNonNull(bnRegister.getCountry());  

        strEmail1               = getNonNull(bnRegister.getEmail1());
        strPhone1               = getNonNull(bnRegister.getPhone1());
        strFax1                 = getNonNull(bnRegister.getFax1());
        
        strAge                          = getNonNull(bnRegister.getAge());
        strGender                       = getNonNull(bnRegister.getGender());
        strMaritalStatus        = getNonNull(bnRegister.getMaritalStatus());
        strIncome                       = getNonNull(bnRegister.getIncome());
        strHousehold            = getNonNull(bnRegister.getHousehold());
        strCompanyName          = getNonNull(bnRegister.getCompanyName());
        strHobbies                      = getNonNull(bnRegister.getHobbies());
        
        strDemographicField1 = getNonNull(bnRegister.getDemographicsField1());
        strDemographicField2 = getNonNull(bnRegister.getDemographicsField2());
        strDemographicField3 = getNonNull(bnRegister.getDemographicsField3());
        strDemographicField4 = getNonNull(bnRegister.getDemographicsField4());
        strDemographicField5 = getNonNull(bnRegister.getDemographicsField5());
        strDemographicField7 = getNonNull(bnRegister.getDemographicsField7());
        
        strUserField1 = getNonNull(bnRegister.getUserField1());
                
}

//---f12628: begin
%>

<jsp:useBean id="bnRegister2" class="com.ibm.commerce.user.beans.UserRegistrationDataBean" scope="page">
<% 
    com.ibm.commerce.beans.DataBeanManager.activate(bnRegister2, request); 
%>
</jsp:useBean>

<%

String strBuyerOrg = null;

OrgEntityDataBean dbOrgEntity = new OrgEntityDataBean();
if (bnRegister2.getParentMemberId() != null) {
    dbOrgEntity.setOrgEntityId(bnRegister2.getParentMemberId());
}
com.ibm.commerce.beans.DataBeanManager.activate(dbOrgEntity, request);
strBuyerOrg = dbOrgEntity.getOrgEntityName();

//Display descriptive text for profile type.
String strProfileTypeDesc = "";
if (bnRegister2.getProfileType().equals("C")) {
    strProfileTypeDesc = dmstoretext.getString("EDITREG_BUYER_PROFILE_C"); // Default
}
else if (bnRegister2.getProfileType().equals("B")) {
    strProfileTypeDesc = dmstoretext.getString("EDITREG_BUYER_PROFILE_B"); // Business
}
//---f12628: end


%>

<%!
//=============================================================================
// METHOD:  getNonNull(String inString)
//=============================================================================
public java.lang.String getNonNull(String inString) {   
        if (inString == null || inString.equals("null")) {
                return "";
        } else {
                return inString;
        }
}
//=============================================================================
%>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html>

<head>
<title>IBM - Registration Update</title>
<script language="JavaScript">
function prepareSubmit() {
        var f = document.forms['Register'];     
        if (f.logonPassword.value.length == 0){
                f.logonPassword.value = "<%=strPassword%>";
        }
        if (f.logonPasswordVerify.value.length == 0) {
                f.logonPasswordVerify.value = "<%=strPassword%>";
        }       
        if (f.businessTitle1.options[f.businessTitle1.selectedIndex].value != "") {
                f.businessTitle.value = f.businessTitle1.options[f.businessTitle1.selectedIndex].value;
        } else {
                f.businessTitle.value = f.businessTitle2.value;
        }
        if (f.demographicField71.options[f.demographicField71.selectedIndex].value != "") {
                f.demographicField7.value = f.demographicField71.options[f.demographicField71.selectedIndex].value;
        } else {
                f.demographicField7.value = f.demographicField72.value;
        }
        if (f.userField11.options[f.userField11.selectedIndex].value != "") {
                f.userField1.value = f.userField11.options[f.userField11.selectedIndex].value;
        } else {
                f.userField1.value = f.userField12.value;
        }       
        if (f.demographicField21.checked)       {
                f.demographicField2.value = 'Y';
        } else {
                f.demographicField2.value = 'N';
        }
        if (f.demographicField31.checked)       {
                f.demographicField3.value = 'Y';
        } else {
                f.demographicField3.value = 'N';
        }
        if (f.demographicField41.checked)       {
                f.demographicField4.value = 'Y';
        } else {
                f.demographicField4.value = 'N';
        }
        
        // d12761: Sametime feature -- BEGIN
        <%
        if (enableSametimeFeature.equals("1")) {
        %>
            if (f.manager1.checked) {
                f.manager.value = 'Y';
            } else {
                f.manager.value = 'N';
            }
        <%
        }
        %>
        // d12761: Sametime feature -- END

        f.<%=ECUserConstants.EC_ADDR_EMAIL1%>.value = f.<%=ECUserConstants.EC_ADDR_EMAIL1%>.value.toLowerCase();        
        if (validateForm()) {
                f.demographicField5.value = getCheckboxString(f.demographicField51);    
                //d14340: rc = save_username_noenc (f);
                rc = save_username_noenc (f, '<%= dmstoretext.getString("DMGLOBAL_MSG1") %>'); //d14340
                if (rc) {
                        f.submit();
                }
        }

}

function getCheckboxString(checkbox) {
        s = "";
        for (i = 0; i < checkbox.length; i++) {
                if (checkbox[i].checked) {
                        if (s == "") {
                                s = checkbox[i].value;
                        } else {
                                s += "~" + checkbox[i].value.replace("~"," ");
                        }
                }
        }       
        return s;
}


/****************************************************************************
* Determines whether an object has been assigned a value.
* Returns TRUE if it has been assigned a value; FALSE otherwise
****************************************************************************/
function defined(obj)
{
  var str = typeof obj;
  
  if((str == "undefined") || (obj == null))
    return false;
  else
    return true;
} // END defined

function initializeState() {
        var f = document.forms['Register'];
        //alert("DEBUG: initializeState()");
        
        //Select the footage that they like
        if (defined(f.demographicField5)) {
                var myList = "<%=strDemographicField5%>";
                var myArray = myList.split('~');
                for (var i=0; i< f.demographicField51.length; i++) {
                        if (includes(myArray, f.demographicField51[i].value)) {
                                f.demographicField51[i].checked = true;                         
                }           
        }
        }

        //alert("Title :" + "<%=strPersonTitle%>");
        if (defined(f.personTitle)) {
                for (var i=0; i< f.personTitle.length; i++) {
                        if (f.personTitle.options[i].value == '<%=strPersonTitle%>') {
                                f.personTitle.options[i].selected = true;
                        break;
                }           
        }
        }

    //alert("Bus. Title :" + "<%=strBusinessTitle%>");
    if (defined(f.businessTitle)) {
                var found = false;
                for (var i=0; i< f.businessTitle1.length; i++) {
                        if (f.businessTitle1.options[i].value == '<%=strBusinessTitle%>') {
                        f.businessTitle1.options[i].selected = true;
                        found = true;
                        break;
            }
        }
        if (found == false) {
                var val = '<%=strBusinessTitle%>';
                if (val != "")
                        f.businessTitle2.value = val;
        }
    }

    //alert("Company Type :" + "<%=strDemographicField7%>");
    if (defined(f.demographicField7)) {
                var found = false;
        for (var i=0; i< f.demographicField71.length; i++) {
                        if (f.demographicField71.options[i].value == '<%=strDemographicField7%>') {
                        f.demographicField71.options[i].selected = true;
                        found = true;
                        break;
            }
        }
        if (found == false) {
                var val = '<%=strDemographicField7%>';
                if (val != "")
                        f.demographicField72.value = val;
        }
    }
    
    //alert("Industry Sector :" + "<%=strUserField1%>");
    if (defined(f.userField1)) {
                var found = false;
        for (var i=0; i< f.userField11.length; i++) {
                        if (f.userField11.options[i].value == '<%=strUserField1%>') {
                        f.userField11.options[i].selected = true;
                        found = true;
                        break;
            }
        }
        if (found == false) {
                var val = '<%=strUserField1%>';
                if (val != "")
                        f.userField12.value = val;
        }
    }

        //alert("State :" + "<%=strState%>");
        if (defined(f.<%=ECUserConstants.EC_ADDR_STATE%>)) {
        for (var i=0; i< f.<%=ECUserConstants.EC_ADDR_STATE%>.length; i++) {
                if (f.<%=ECUserConstants.EC_ADDR_STATE%>.options[i].value == '<%=strState%>') {
                        f.<%=ECUserConstants.EC_ADDR_STATE%>.options[i].selected = true;
                        break;
                        }
        }
        }

        //alert("Country :" + "<%=strCountry%>");
        if (defined(f.<%=ECUserConstants.EC_ADDR_COUNTRY%>)) {
                for (var i=0; i< f.<%=ECUserConstants.EC_ADDR_COUNTRY%>.length; i++)    {
                        if (f.<%=ECUserConstants.EC_ADDR_COUNTRY%>.options[i].value == '<%=strCountry%>') {
                        f.<%=ECUserConstants.EC_ADDR_COUNTRY%>.options[i].selected = true;
                        break;
                        }
        }
        }

        for (var i=0; i< f.age.length; i++){
                if (f.age.options[i].value == '<%=strAge%>') {
                        f.age.options[i].selected = true;
                        break;
                }
    }
   
        for (var i=0; i< f.gender.length; i++) {
                if (f.gender.options[i].value == '<%=strGender%>') {
                        f.gender.options[i].selected = true;
                        break;
                }
        }

        for (var i=0; i< f.maritalStatus.length; i++) {
                if (f.maritalStatus.options[i].value == '<%=strMaritalStatus%>') {
                        f.maritalStatus.options[i].selected = true;
                        break;
                }
        }

        for (var i=0; i< f.income.length; i++) {
                if (f.income.options[i].value == '<%=strIncome%>') {
                        f.income.options[i].selected = true;
                        break;
                }
        }
        
        //alert("Field 1 :" + "<%=strDemographicField1%>");
    if (defined(f.demographicField1)) {
                var val = '<%=strDemographicField1%>';
        if (val == 'Y') {
                f.demographicField1[0].checked = true;
        } else {
                f.demographicField1[1].checked = true;
        }
    }
    
    //alert("Field 2 :" + "<%=strDemographicField2%>");
    if (defined(f.demographicField2)) {
                var val = '<%=strDemographicField2%>';
        if (val == 'Y') {
                f.demographicField21.checked = true;
        }
    }
    
    //alert("Field 3 :" + "<%=strDemographicField3%>");
    if (defined(f.demographicField3)) {
                var val = '<%=strDemographicField3%>';
        if (val == 'Y') {
                f.demographicField31.checked = true;
        }
    }
    
    //alert("Field 4 :" + "<%=strDemographicField4%>");
    if (defined(f.demographicField4)) {
                var val = '<%=strDemographicField4%>';
        if (val == 'Y') {
                f.demographicField41.checked = true;
        }
    }

    //d12761: Sametime feature -- BEGIN
    //alert("Sametime :" + "<%=strSametime%>");
    if (defined(f.manager)) {
        var val = '<%=strSametime%>';
        
        // Assume blank is same as "Y" for backward compatibility
        if (val == 'Y' || val == '') {
            f.manager1.checked = true;
        }
    }
    //d12761: Sametime feature -- END

}  // END initializeState()

function getRadioValue(radio) {
        for (i = 0; i < radio.length; i++) {
                if (radio[i].checked) {
                        return radio[i].value;
                }
        }
        return "";
}

function getCheckboxValues(checkbox) {
        s = "";
        for (i = 0; i < checkbox.length; i++) {
                if (checkbox[i].checked) {
                        s += checkbox[i].value.replace("~"," ") + "~";
                }
        }
        return s.split('~');
}

function getSelectValues(select) {
        s = "";
        for (i = 0; i < select.length; i++) {
                if (select.options[i].selected) {
                        s += select.options[i].value.replace("~"," ") + "~";
                }
        }
        return s.split('~');
}

function isChecked(checkbox, value) {
        for (i = 0; i < checkbox.length; i++) {
                if (checkbox[i].checked && checkbox[i].value == value) {
                        return true;
                }
        }
        return false;
}

function validateForm() {
        var f = document.forms['Register'];
        if (f.<%= ECUserConstants.EC_ADDR_FIRSTNAME %>.value == "") {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE0") %>');                                
                return 0;
        } else if (f.<%= ECUserConstants.EC_ADDR_FIRSTNAME %>.value.length > 128) {
               alert( '<%= dmstoretext.getString("INFO_MESSAGE14") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_ADDR_LASTNAME%>.value == "") {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE1") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_ADDR_LASTNAME%>.value.length > 128) {
               alert( '<%= dmstoretext.getString("INFO_MESSAGE2") %>');
                return 0;               
        } else if (f.<%= ECUserConstants.EC_ADDR_EMAIL1%>.value == "") {
               alert( '<%= dmstoretext.getString("INFO_MESSAGE4") %>');
                return 0;
        } else if (f.<%= ECUserConstants.EC_ADDR_EMAIL1%>.value.length > 256) {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE3") %>');
                return 0;
        } else if (!isEmail(f.<%= ECUserConstants.EC_ADDR_EMAIL1%>.value)) {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE4") %>');
                return 0;
        } else if (f.phone1.value == "") {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE15") %>');
                return 0;
        } else if (f.phone1.value.length > 32) {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE16") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_ADDR_ADDRESS1%>.value == "") {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE5") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_ADDR_ADDRESS1%>.value.length > 50) {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE6") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_ADDR_CITY%>.value == "") {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE7") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_ADDR_CITY%>.value.length > 128) {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE8") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_ADDR_ZIPCODE%>.value == "") {
               alert( '<%= dmstoretext.getString("INFO_MESSAGE9") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_ADDR_ZIPCODE%>.value.length > 40) {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE10") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_UREG_LOGONPASSWORD%>.value.length > 128) {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE21") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_UREG_LOGONPASSWORD%>.value == "" || f.<%=ECUserConstants.EC_UREG_LOGONPASSWORDVERIFY%>.value == "") {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE17") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_UREG_LOGONPASSWORD%>.value != f.<%=ECUserConstants.EC_UREG_LOGONPASSWORDVERIFY%>.value) {
               alert( '<%= dmstoretext.getString("INFO_MESSAGE18") %>');
                return 0;
        } else if (f.<%=ECUserConstants.EC_ADDR_COUNTRY%>.value == "") {
                alert( '<%= dmstoretext.getString("INFO_MESSAGE12") %>');
                return 0;       
        } else if (f.<%=ECUserConstants.EC_ADDR_STATE%>.value == "") {
                alert('<%= dmstoretext.getString("INFO_MESSAGE20") %>');
                return 0;       
        } else if (f.demographicField41.checked == false) {
               alert( '<%= dmstoretext.getString("INFO_MESSAGE30") %>');
                return 0;       
        }
        //} else if (getRadioValue(f.<%=ECUserConstants.EC_ADDR_COUNTRY%>) == "") {
        //      alert("Please select a Country.");
        //      return 0;       
        //}
        //} else if (getSelectValues(f.IndustrySector) == "") {
        //      alert("Please select at least one industry sector.");
        //      return 0;
        //}
        return 1;
}  


</script>
<script language="JavaScript" src="<%=WEBOBJECTS_RELATIVE_URL%>/scripts/FormChek.js"></script>
<script language="JavaScript" src="<%=WEBOBJECTS_RELATIVE_URL%>/scripts/global.js"></script>
</head>

<body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" rightmargin="0" bgcolor="#FFFFFF">

<%
String incfile;

incfile = "/" + storeDir + "/common/header.jsp";
%>
<jsp:include page="<%=incfile%>" flush="true"/>


<%
incfile = "/" + storeDir + "/common/sidebar.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>


<!--END SEARCH-->


<!--MAIN CONTENT STARTS HERE-->

<table border="0" cellpadding="0" cellspacing="0" width="595">
 <!--body header row1-->
 <tr>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
  <td>  
   <table border="0" cellpadding="0" cellspacing="0" width="521">
        <tr>
         <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
        </tr>
        <tr>
         <td valign="top">
                <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/account/rf_edit.gif" alt="" border="0"><br>
         </td>
         <td align="right" valign="top"></td>
    </tr>
    <tr>
         <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
        </tr>                   
   </table> 
  </td>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
 </tr>  
 <!--end body header row1-->
 <!--body line row2-->          
 <tr>
  <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
 </tr>
 <!--end body line row2-->              
 <!--main body content row3-->                                          
 <tr>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
  <td valign="top">     
        <FORM name="Register" method=POST action="<%="UserRegistrationUpdate"%>">

        <INPUT TYPE="hidden" NAME="langId" Value="<%=languageId%>">
        <INPUT TYPE="hidden" NAME="storeId" Value="<%=storeId%>">
        <INPUT TYPE="hidden" NAME="catalogId" Value="<%=catalogId%>">
        <INPUT TYPE="hidden" NAME="URL" Value="LogonForm">
        <INPUT TYPE="hidden" NAME="page" Value="account">
        <INPUT TYPE="hidden" NAME="logonId" Value="<%=strLogonID%>">
        <INPUT TYPE="hidden" NAME="registerType" Value="R">
        <INPUT TYPE="hidden" NAME="profileType" Value="C">
        <INPUT TYPE="hidden" NAME="preferredLanguage" Value="<%=languageId%>">
        <input type=hidden name='preferredCommunication'VALUE='P1'>
        <input type=hidden name="phone1Type" VALUE="PHN">
        <input type=hidden name="publishPhone1" value="1">
        
   <table border="0" cellpadding="0" cellspacing="5" width="100%">
        <tr>
         <td colspan="2">
          <%
                if (strErrorMessage != null)
                {
                        //We have error message.
                %>
                <p><font color="red"><%=strErrorMessage%></font><br><br></p>
                <%
                }
                %>
          <%= dmstoretext.getString("INFO_MESSAGE22") %>
         </td>
        </tr>           
        <tr>
         <td colspan="2" class="small">* <%=dmstoretext.getString("REQUIRED_FIELDS3")%></td>
        </tr>
        <tr>
         <td class="small" colspan=2>
          <br><b><%= dmstoretext.getString("CUST_LOGON_ID") %></b>&nbsp;<%=strLogonID%><br>
          
          <b><%= dmstoretext.getString("EDITREG_BUYER_ORG") %></b>&nbsp;<%=strBuyerOrg%><br> <!--f12628-->
          
          <b><%= dmstoretext.getString("EDITREG_PROFILE_TYPE") %></b>&nbsp;<%=strProfileTypeDesc%><br> <!--f12628-->
         </td>   
        </tr>
        <tr>
         <td class="small">
         <br>
          *<b><%=dmstoretext.getString("FIRST_NAME")%></b><br>
       <input type="Text" name="<%= ECUserConstants.EC_ADDR_FIRSTNAME %>" value="<%=convertSpecialCharsInString(strFirstName)%>" size="20" maxlength="50" class="small"> <% //d14750 %>
         </td>
         <td class="small">
          *<b><%=dmstoretext.getString("LAST_NAME")%></b><br>
           <input type="Text" name="<%=ECUserConstants.EC_ADDR_LASTNAME%>" value="<%=convertSpecialCharsInString(strLastName)%>" size="20" maxlength="50" class="small"> <% //d14750 %>
         </td>  
        </tr>
        <tr>
         <td class="small" colspan=2>
          <br>
       <%=dmstoretext.getString("WANT_CHANGE_PASS")%>
         </td>   
        </tr>
        <tr>
         <td class="small">
          *<b><%=dmstoretext.getString("PASSWORD")%></b><br>
          <input name="<%=ECUserConstants.EC_UREG_LOGONPASSWORD%>" type="password" value="" size="20" maxlength="30" class="small">
         </td>  
     <td class="small">
           *<b><%=dmstoretext.getString("VERIFY_PASSWORD")%></b><br>
           <input name="<%=ECUserConstants.EC_UREG_LOGONPASSWORDVERIFY%>" type="password" value="" size="20" maxlength="30" class="small">
         </td>   
        </tr>
        <tr>
         <td class="small" colspan=2>
          <b><%=dmstoretext.getString("PASSWORD_HINT")%></b><br><% // PTR 5785 change BWP %>
          <input name="challengeQuestion" type="text" value="<%=convertSpecialCharsInString(strChallengeQuestion)%>" size="20" maxlength="80" class="small"> <% //d14750 %>
          <input name="challengeAnswer" type="hidden" value="-">
         </td>  
        </tr>
        
        <tr> 
         <td class="small" colspan="2" align="left">
                <input type="checkbox" name="remember" value="rempass"><%= dmstoretext.getString("REMEMBER_ME") %>
         </td>
        </tr>
        
        <% //d12761: Sametime feature -- BEGIN %>
        <%
        if (enableSametimeFeature.equals("1")) {
        %>
            <tr> 
             <td class="small" colspan="2" align="left">
               <br>
               <b><%=dmstoretext.getString("FOLDER_COLLABORATION")%></b><br>
               <input type="checkbox" name="manager1"><%=dmstoretext.getString("SAMETIME_AUTO_CONNECT")%>
               <input type=hidden name="manager" value="<%=strSametime%>">
             </td>
            </tr>   
        <%
        }
        %>
        <% //d12761: Sametime feature -- END %>

        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" border="0" alt=""></td></tr>                          
        <tr><td colspan="2" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td></tr>        
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" border="0" alt=""></td></tr>  
        <tr>
         <td class="small">
          *<b><%=dmstoretext.getString("ADDRESS_LINE1")%></b><br>
          <input name="<%=ECUserConstants.EC_ADDR_ADDRESS1%>" type="text" value="<%=convertSpecialCharsInString(strAddress1)%>" size="20" maxlength="30" class="small"> <% //d14750 %>
         </td> 
         <td class="small">
          <b><%=dmstoretext.getString("ADDRESS_LINE2")%></b><br>
          <input name="<%=ECUserConstants.EC_ADDR_ADDRESS2%>" type="text" value="<%=convertSpecialCharsInString(strAddress2)%>" size="20" maxlength="30" class="small"> <% //d14750 %>
         </td>
        </tr>   
        <tr>
         <td class="small">
          *<b><%=dmstoretext.getString("CITY")%></b><br>
          <input name="<%=ECUserConstants.EC_ADDR_CITY%>" type="text" value="<%=convertSpecialCharsInString(strCity)%>" size="20" maxlength="30" class="small"> <% //d14750 %>
         </td>
         <td class="small">
          *<b><%=dmstoretext.getString("STATE_PROVINCE")%></b><br>
          <SELECT name="<%=ECUserConstants.EC_ADDR_STATE%>" class="small">
                                <%//7486.sn%>
                <option value=""><%= dmstoretext.getString("OPTION_SELECT") %></option>
                <option value="<%=dmstoretext.getString("NONE")%>"><%= dmstoretext.getString("NON_SELECTION") %></option>
                             <%//13470.old%>  <%//@ include file="statelist.inc" %>
                                                         <%//13470.sn%>
                                <%@ page import="com.ibm.commerce.taxation.objects.*" %>

<%
CountryAccessBean countrybean = new CountryAccessBean();
CountryAccessBean countrydatabean = null;
StateProvinceAccessBean statebean = new StateProvinceAccessBean();
StateProvinceAccessBean statedatabean = null;

Integer listlangid = null;
if (localelangId == null)
{
        listlangid = cmdcontext.getPreferredLanguage();
        if (listlangid == null)
        {
                listlangid = cmdcontext.getInitialPreferredLanguage();
                if (listlangid == null)
                {
                        listlangid = cmdcontext.getLanguageId();
                }
        }
}
else
        listlangid = new Integer(localelangId);

%>
<%
Enumeration countrydatabeans = countrybean.findByLanguageId(listlangid);
while ( (countrydatabeans != null) && (countrydatabeans.hasMoreElements()) )
{
                countrydatabean = (CountryAccessBean) countrydatabeans.nextElement();
                Enumeration statedatabeans = statebean.findByCountryNameAndLanguageId(countrydatabean.getName(),listlangid);
                while ( (statedatabeans != null) && (statedatabeans.hasMoreElements()) )
                {
                        statedatabean = (StateProvinceAccessBean) statedatabeans.nextElement();
                        %>
                                <OPTION VALUE='<%=statedatabean.getName()%>'><%=statedatabean.getName()%></OPTION>
                        <%      
                }
}
%>

                                <%//13470.en%>

                                <%//7486.en%>
                                <%//7486.so%>
                                <!--
                <option value="">Please select one:</option>
                <option value="none">Not Applicable</option>
                <option value="AL">Alabama</option>
                <option value="AK">Alaska</option>
                <option value="AZ">Arizona</option>
                <option value="AR">Arkansas</option>
                <option value="CA">California</option>
                <option value="CO">Colorado</option>
                <option value="CT">Connecticut</option>
                <option value="DE">Delaware</option>
                <option value="DC">District of Columbia</option>
                <option value="FL">Florida</option>
                <option value="GA">Georgia</option>
                <option value="GU">Guam</option>
                <option value="HI">Hawaii</option>
                <option value="ID">Idaho</option>
                <option value="IL">Illinois</option>
                <option value="IN">Indiana</option>
                <option value="IA">Iowa</option>
                <option value="KS">Kansas</option>
                <option value="KY">Kentucky</option>
                <option value="LA">Louisiana</option>
                <option value="ME">Maine</option>
                <option value="MD">Maryland</option>
                <option value="MA">Massachusetts</option>
                <option value="MI">Michigan</option>
                <option value="MN">Minnesota</option>
                <option value="MS">Mississippi</option>
                <option value="MO">Missouri</option>
                <option value="MT">Montana</option>
                <option value="NE">Nebraska</option>
                <option value="NV">Nevada</option>
                <option value="NH">New Hampshire</option>
                <option value="NJ">New Jersey</option>
                <option value="NM">New Mexico</option>
                <option value="NY">New York</option>
                <option value="NC">North Carolina</option>
                <option value="ND">North Dakota</option>
                <option value="OH">Ohio</option>
                <option value="OK">Oklahoma</option>
                <option value="OR">Oregon</option>
                <option value="PA">Pennsylvania</option>
                <option value="PR">Puerto Rico</option>
                <option value="RI">Rhode Island</option>
                <option value="SC">South Carolina</option>
                <option value="SD">South Dakota</option>
                <option value="TN">Tennessee</option>
                <option value="TX">Texas</option>
                <option value="VI">US Virgin Islands</option>
                <option value="UT">Utah</option>
                <option value="VT">Vermont</option>
                <option value="VA">Virginia</option>
                <option value="WA">Washington</option>
                <option value="WV">West Virginia</option>
                <option value="WI">Wisconsin</option>
                <option value="WY">Wyoming</option>
                                -->
                                                                <%//7486.eo%>
       </SELECT>
         </td>                          
        </tr>
        <tr>
         <td class="small">
          *<b><%=dmstoretext.getString("COUNTRY")%></b><br>
          <SELECT name="<%=ECUserConstants.EC_ADDR_COUNTRY%>" class="small">
              <%//7486.sn%>
            <% //14462 <option value= "">(none selected)</option> %>         
                    <option value= ""><%=dmstoretext.getString("NON_SELECTION")%></option>
                        <%//13470.so%>
                        <!-- <OPTION VALUE='United States'>United States</OPTION> -->
            <%//@ include file="countrylist.inc" %>
                        <%//13470.eo%>
                        <%//7486.en%>
                        
                        <%//13470.sn%>
                        <%
                        countrydatabeans = countrybean.findByLanguageId(listlangid);
                        while ( (countrydatabeans != null) && (countrydatabeans.hasMoreElements()) )
                        {
                                countrydatabean = (CountryAccessBean) countrydatabeans.nextElement();
                        %>
                                <OPTION VALUE='<%=countrydatabean.getName()%>'><%=countrydatabean.getName()%></OPTION>
                        <%
                        }
                        %>

                        <%//13470.en%>

                                                                <%//7486.so%>
                                <!--

                                <option value= "">(none selected)</option>
                                <option value="US">United States of America</option>
                                <option value="AF">Afghanistan</option>
                                <option value="AL">Albania</option>
                                <option value="DZ">Algeria</option>
                                <option value="AS">American Samoa</option>
                                <option value="AD">Andorra</option>
                                <option value="AO">Angola</option>
                                <option value="AI">Anguilla</option>
                                <option value="AQ">Antartica</option>
                                <option value="AG">Antigua and Barbuda</option>
                                <option value="AR">Argentina</option>
                                <option value="AM">Armenia</option>
                                <option value="AW">Aruba</option>
                                <option value="AU">Australia</option>
                                <option value="AT">Austria</option>
                                <option value="AZ">Azerbaijan</option>
                                <option value="BS">Bahamas</option>
                                <option value="BH">Bahrain</option>
                                <option value="BD">Bangladesh</option>
                                <option value="BB">Barbados</option>
                                <option value="BY">Belarus</option>
                                <option value="BE">Belgium</option>
                                <option value="BZ">Belize</option>
                                <option value="BJ">Benin</option>
                                <option value="BF">Berkina Faso</option>
                                <option value="BM">Bermuda</option>
                                <option value="BT">Bhutan</option>
                                <option value="BO">Bolivia</option>
                                <option value="BA">Bosnia-Herzegovina</option>
                                <option value="BW">Botswana</option>
                                <option value="BV">Bouvet Island</option>
                                <option value="BR">Brazil</option>
                                <option value="VG">British Virgin Islands</option>
                                <option value="BN">Brunei Darussalam</option>
                                <option value="BG">Bulgaria</option>
                                <option value="BI">Burundi</option>
                                <option value="KH">Cambodia</option>
                                <option value="CM">Cameroon</option>
                                <option value="CA">Canada</option>
                                <option value="CV">Cape Verde</option>
                                <option value="KY">Cayman Islands</option>
                                <option value="CF">Central African Republic</option>
                                <option value="TD">Chad</option>
                                <option value="CL">Chile</option>
                                <option value="CN">China</option>
                                <option value="CX">Christmas Island</option>
                                <option value="CC">Cocos Keeling Island</option>
                                <option value="CO">Colombia</option>
                                <option value="KM">Comoros</option>
                                <option value="CG">Congo</option>
                                <option value="CK">Cook Islands</option>
                                <option value="CR">Costa Rica</option>
                                <option value="HR">Croatia</option>
                                <option value="CU">Cuba</option>
                                <option value="CY">Cyprus</option>
                                <option value="CZ">Czech Republic</option>
                                <option value="CS">Czechoslovakia</option>
                                <option value="DK">Denmark</option>
                                <option value="DJ">Djibouti</option>
                                <option value="DM">Dominica</option>
                                <option value="DO">Dominican Republic</option>
                                <option value="TP">East Timor</option>
                                <option value="EC">Ecuador</option>
                                <option value="EG">Egypt</option>
                                <option value="SV">El Salvador</option>
                                <option value="GQ">Equatorial Guinea</option>
                                <option value="ER">Eritrea</option>
                                <option value="EE">Estonia</option>
                                <option value="ET">Ethiopia</option>
                                <option value="FK">Falkland Islands Malvinas</option>
                                <option value="FO">Faroe Islands</option>
                                <option value="FJ">Fiji</option>
                                <option value="FI">Finland</option>
                                <option value="FR">France</option>
                                <option value="TF">French Southern Territories</option>
                                <option value="GA">Gabon</option>
                                <option value="GM">Gambia</option>
                                <option value="GE">Georgia</option>
                                <option value="DE">Germany</option>
                                <option value="GH">Ghana</option>
                                <option value="GI">Gibraltar</option>
                                <option value="GR">Greece</option>
                                <option value="GL">Greenland</option>
                                <option value="GD">Grenada</option>
                                <option value="GP">Guadeloupe Fr.</option>
                                <option value="GU">Guam</option>
                                <option value="GT">Guatamala</option>
                                <option value="GN">Guinea</option>
                                <option value="GW">Guinea Bissau</option>
                                <option value="GY">Guyana</option>
                                <option value="GF">Guyana French</option>
                                <option value="HT">Haiti</option>
                                <option value="HM">Heard & McDonald Islands</option>
                                <option value="HN">Honduras</option>
                                <option value="HK">Hong Kong</option>
                                <option value="HU">Hungary</option>
                                <option value="IS">Iceland</option>
                                <option value="IN">India</option>
                                <option value="ID">Indonesia</option>
                                <option value="IR">Iran</option>
                                <option value="IQ">Iraq</option>
                                <option value="IE">Ireland</option>
                                <option value="IL">Israel</option>
                                <option value="IT">Italy</option>
                                <option value="CI">Ivory Coast</option>
                                <option value="JM">Jamaica</option>
                                <option value="JP">Japan</option>
                                <option value="JO">Jordan</option>
                                <option value="KZ">Kazachstan</option>
                                <option value="KE">Kenya</option>
                                <option value="KI">Kiribati</option>
                                <option value="KW">Kuwait</option>
                                <option value="KG">Kyrgyz Republic</option>
                                <option value="LA">Laos</option>
                                <option value="LV">Latvia</option>
                                <option value="LB">Lebanon</option>
                                <option value="LS">Lesotho</option>
                                <option value="LR">Liberia</option>
                                <option value="LY">Libya</option>
                                <option value="LI">Liechtenstein</option>
                                <option value="LT">Lithuania</option>
                                <option value="LU">Luxembourg</option>
                                <option value="MO">Macau</option>
                                <option value="MK">Macedonia</option>
                                <option value="MG">Madagascar</option>
                                <option value="MW">Malawi</option>
                                <option value="MY">Malaysia</option>
                                <option value="MV">Maldives</option>
                                <option value="ML">Mali</option>
                                <option value="MT">Malta</option>
                                <option value="MH">Marshall Islands</option>
                                <option value="MQ">Martinique</option>
                                <option value="MR">Mauritania</option>
                                <option value="MU">Mauritius</option>
                                <option value="YT">Mayotte</option>
                                <option value="MX">Mexico</option>
                                <option value="FM">Micronesia</option>
                                <option value="MD">Moldolva</option>
                                <option value="MC">Monaco</option>
                                <option value="MN">Mongolia</option>
                                <option value="MS">Montserrat</option>
                                <option value="MA">Morocco</option>
                                <option value="MZ">Mozambique</option>
                                <option value="MM">Myanmar</option>
                                <option value="NA">Namibia</option>
                                <option value="NR">Nauru</option>
                                <option value="NP">Nepal</option>
                                <option value="NL">Netherlands</option>
                                <option value="AN">Netherlands Antilles</option>
                                <option value="NC">New Caledonia</option>
                                <option value="NZ">New Zealand</option>
                                <option value="NI">Nicaragua</option>
                                <option value="NE">Niger</option>
                                <option value="NG">Nigeria</option>
                                <option value="NU">Niue</option>
                                <option value="NF">Norfolk Island</option>
                                <option value="KP">North Korea</option>
                                <option value="MP">Northern Mariana Islands</option>
                                <option value="NO">Norway</option>
                                <option value="OM">Oman</option>
                                <option value="PK">Pakistan</option>
                                <option value="PW">Palau</option>
                                <option value="PA">Panama</option>
                                <option value="PG">Papua New Guinea</option>
                                <option value="PY">Paraguay</option>
                                <option value="PE">Peru</option>
                                <option value="PH">Philippines</option>
                                <option value="PN">Pitcairn</option>
                                <option value="PL">Poland</option>
                                <option value="PF">Polynesia</option>
                                <option value="PT">Portugal</option>
                                <option value="PR">Puerto Rico</option>
                                <option value="QA">Qatar</option>
                                <option value="RE">Reunion</option>
                                <option value="RO">Romania</option>
                                <option value="RU">Russia</option>
                                <option value="RW">Rwanda</option>
                                <option value="LC">Saint Lucia</option>
                                <option value="WS">Samoa</option>
                                <option value="SM">San Marino</option>
                                <option value="SA">Saudi Arabia</option>
                                <option value="SN">Senegal</option>
                                <option value="SC">Seychelles</option>
                                <option value="SL">Sierra Leone</option>
                                <option value="SG">Singapore</option>
                                <option value="SK">Slovakia Slovak Republic</option>
                                <option value="SI">Slovenia</option>
                                <option value="SB">Solomon Islands</option>
                                <option value="SO">Somalia</option>
                                <option value="ZA">South Africa</option>
                                <option value="KR">South Korea</option>
                                <option value="SU">Soviet Union</option>
                                <option value="ES">Spain</option>
                                <option value="LK">Sri Lanka</option>
                                <option value="ST">St Tome. and Principe</option>
                                <option value="VC">St Vincent & Grenadines</option>
                                <option value="SH">St. Helena</option>
                                <option value="KN">St. Kitts</option>
                                <option value="PM">St. Pierre & Miquelon</option>
                                <option value="SD">Sudan</option>
                                <option value="SR">Suriname</option>
                                <option value="SJ">Svalbard & Jan Mayen Islands</option>
                                <option value="SZ">Swaziland</option>
                                <option value="SE">Sweden</option>
                                <option value="CH">Switzerland</option>
                                <option value="SY">Syria</option>
                                <option value="TJ">Tadjikistan</option>
                                <option value="TW">Taiwan</option>
                                <option value="TZ">Tanzania</option>
                                <option value="TH">Thailand</option>
                                <option value="TG">Togo</option>
                                <option value="TK">Tokelau</option>
                                <option value="TO">Tonga</option>
                                <option value="TT">Trinidad & Tobago</option>
                                <option value="TN">Tunisia</option>
                                <option value="TR">Turkey</option>
                                <option value="TM">Turkmenistan</option>
                                <option value="TC">Turks & Caicos Islands</option>
                                <option value="TV">Tuvalu</option>
                                <option value="VI">U.S. Virgin Islands</option>
                                <option value="UG">Uganda</option>
                                <option value="UA">Ukraine</option>
                                <option value="AE">United Arab Emirates</option>
                                <option value="GB">United Kingdom</option>
                                <option value="US">United States of America</option>
                                <option value="UY">Uruguay</option>
                                <option value="UZ">Uzbekistan</option>
                                <option value="VU">Vanuatu</option>
                                <option value="VA">Vatican</option>
                                <option value="VE">Venezuela</option>
                                <option value="VN">Viet Nam</option>
                                <option value="WF">Wallis & Futuna Islands</option>
                                <option value="EH">Western Sahara</option>
                                <option value="YE">Yemen</option>
                                <option value="YU">Yugoslavia</option>
                                <option value="ZR">Zaire</option>
                                <option value="ZM">Zambia</option>
                                <option value="ZW">Zimbabwe</option>
                                                                -->
                                                                <%//7486.eo%>
      </SELECT>
         </td>
         <td class="small">
          *<b><%= dmstoretext.getString("ZIP_CODE") %></b><br>
          <input name="<%=ECUserConstants.EC_ADDR_ZIPCODE%>" type="text" value="<%=convertSpecialCharsInString(strZipCode)%>" size="20" maxlength="30" class="small"> <% //d14750 %>
         </td>                          
        </tr>           
        <tr>
         <td class="small">
          *<b><%= dmstoretext.getString("PHONE_NUMBER") %></b><br>
          <input name="phone1" value="<%=convertSpecialCharsInString(strPhone1)%>" type="text" size="20" maxlength="30" class="small"> <% //d14750 %>
         </td>
         <td class="small">
          <b><%= dmstoretext.getString("CON_FAX") %></b><br>
          <input type="Text" name="fax1" value="<%=convertSpecialCharsInString(strFax1)%>" size="20" maxlength="30" class="small"> <% //d14750 %>
         </td>                          
        </tr>           
        <tr>
         <td class="small" colspan="2">
          *<b><%=dmstoretext.getString("EMAIL")%></b><br>
          <!--d14408: <input type="Text" name="<%= ECUserConstants.EC_ADDR_EMAIL1%>" value="<%=strEmail1%>" size="20" maxlength="30" class="small">-->
          <input type="Text" name="<%= ECUserConstants.EC_ADDR_EMAIL1%>" value="<%=strEmail1%>" size="20" maxlength="256" class="small"> <% //d14408 %>
         </td>                  
        </tr>
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" border="0" alt=""></td></tr>                          
        <tr><td colspan="2" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td></tr>        
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" border="0" alt=""></td></tr>                  
        <tr>
         <td class="small">
         <b><%= dmstoretext.getString("TITLE") %></b><br>
                <SELECT name='businessTitle1' class="small">
                <OPTION  VALUE='' selected><%=dmstoretext.getString("OPTION_SELECT")%></OPTION>
                <OPTION  VALUE='Producer'><%=dmstoretext.getString("PRODUCER")%></OPTION>
                <OPTION  VALUE='Executive Producer'><%=dmstoretext.getString("EXECUTIVE_PRODUCER")%></OPTION>
                <OPTION  VALUE='Production Asst'><%=dmstoretext.getString("PRODUCTION_ASST")%></OPTION>
                <OPTION  VALUE='Freelancer'><%=dmstoretext.getString("FREELANCER")%></OPTION>
                <OPTION  VALUE='Researcher'><%=dmstoretext.getString("RESEARCHER")%></OPTION>
                <OPTION  VALUE='Editor'><%=dmstoretext.getString("EDITOR")%></OPTION>
                <OPTION  VALUE='Creative Director'><%=dmstoretext.getString("CREATIVE_DIRECTOR")%></OPTION>
                <OPTION  VALUE='Art Director'><%=dmstoretext.getString("ART_DIRECTOR")%></OPTION>
                <OPTION  VALUE='Art Buyer'><%=dmstoretext.getString("ART_BUYER")%></OPTION>
                <OPTION  VALUE='Marketing Manager'><%=dmstoretext.getString("MARKETING_MANAGER")%></OPTION>
                <OPTION  VALUE='Business Manager'><%=dmstoretext.getString("BUSINESS_MANAGER")%></OPTION>
                <OPTION  VALUE='Studio Librarian'><%=dmstoretext.getString("STUDIO_LIBRARIAN")%></OPTION>
                <OPTION  VALUE='Clearance Coordinator'><%=dmstoretext.getString("CLEARANCE_COORDINATOR")%></OPTION>
                <OPTION  VALUE=''><%=dmstoretext.getString("OTHER")%></OPTION>        
                </SELECT>
         </td>
         <td class="small">
          <b><%=dmstoretext.getString("OTHER_TITLE")%></b><br>
          <input type="Text" name='businessTitle2' value='' size="20" maxlength="30" class="small">
          <input type=hidden name='businessTitle' value=''>
         </td>                          
        </tr>
        <tr>
         <td class="small" colspan="2">
          <b><%=dmstoretext.getString("COMPANY_NAME")%></b><br>
          <input type="Text" name="companyName" value="<%=strCompanyName%>" size="20" maxlength="30" class="small">
         </td>  
        </tr>   
        <tr>
         <td class="small">
          <b><%=dmstoretext.getString("COMPANY")%></b><br>
                        <SELECT name='demographicField71' class="small">
                        <OPTION  VALUE='' selected><%=dmstoretext.getString("OPTION_SELECT")%></OPTION>
                        <OPTION  VALUE='Ad Agency'><%=dmstoretext.getString("AD_AGENCY")%></OPTION>
                        <OPTION  VALUE='Commercial Production House'><%=dmstoretext.getString("COMMERCIAL_PROD_HOUSE")%></OPTION>
                        <OPTION  VALUE='Consumer'><%=dmstoretext.getString("CONSUMER")%></OPTION>
                        <OPTION  VALUE='Corporate Production House'><%=dmstoretext.getString("CORP_PROD_HOUSE")%></OPTION>
                        <OPTION  VALUE='Edit/Post House'><%=dmstoretext.getString("EDIT_POST_HOUSE")%></OPTION>
                        <OPTION  VALUE='Feature/Documentary/Prod. Co.'><%=dmstoretext.getString("DOCU_PROD_COM")%>.</OPTION>
                        <OPTION  VALUE='Freelancer'><%=dmstoretext.getString("FREELANCER")%></OPTION>
                        <OPTION  VALUE='Internet Company'><%=dmstoretext.getString("INTERNET_COM")%></OPTION>
                        <OPTION  VALUE='Multimedia & Game Company'><%=dmstoretext.getString("MULTI_GAME_COM")%></OPTION>
                        <OPTION  VALUE='Music Video Production Company'><%=dmstoretext.getString("MUSIC_VIDEO_PROD_COM")%></OPTION>
                        <OPTION  VALUE='Network/Cable/Broadcast/Pub TV'><%=dmstoretext.getString("BROADCAST_TV")%></OPTION>
                        <OPTION  VALUE='Publishing/Design Company'><%=dmstoretext.getString("PUBLISH_DES_COM")%></OPTION>
                        <OPTION  VALUE='Researcher'><%=dmstoretext.getString("RESEARCHER")%></OPTION>
                        <OPTION  VALUE='Sports/Entertainment'><%=dmstoretext.getString("SPORT_ENTERT")%></OPTION>
                        <OPTION  VALUE='Stock Footage Company'><%=dmstoretext.getString("STOCK_FOOTAGE_COM")%></OPTION>
                        <OPTION  VALUE='TV/Film Production Co.'><%=dmstoretext.getString("TV_FILM_PROD_COM")%>.</OPTION>
                        <OPTION  VALUE=''><%=dmstoretext.getString("OTHER")%></OPTION>        
                        </SELECT>
         </td>
         <td class="small">
          <b><%=dmstoretext.getString("OTHER_TITLE")%></b><br>
          <input type="Text" name="demographicField72" size="20" maxlength="30" class="small">
          <input type=hidden name='demographicField7' value=''>
         </td>                          
        </tr>
        <tr>
         <td class="small">
          <b><%=dmstoretext.getString("INDUSTRY_SECTOR")%></b><br>
           <SELECT name='userField11' class="small">
                <OPTION  VALUE='' selected><%=dmstoretext.getString("OPTION_SELECT")%></OPTION>
                <OPTION  VALUE='Ad Agency'><%=dmstoretext.getString("AD_AGENCY")%></OPTION>
                <OPTION  VALUE='Commercial Production House'><%=dmstoretext.getString("COMMERCIAL_PROD_HOUSE")%></OPTION>
                <OPTION  VALUE='Consumer'><%=dmstoretext.getString("CONSUMER")%></OPTION>
                <OPTION  VALUE=''><%=dmstoretext.getString("OTHER")%></OPTION>        
           </SELECT>
         </td>
         <td class="small">
          <b><%=dmstoretext.getString("OTHER_TITLE")%></b><br>
          <input type="Text" name="userField12" size="20" maxlength="30" class="small">
          <input type=hidden name='userField1' value=''>
         </td>                          
        </tr>   
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" border="0" alt=""></td></tr>                          
        <tr><td colspan="2" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td></tr>        
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" border="0" alt=""></td></tr>                          

<!-- Survey Section ------------------------------------------------------>
    <tr>
         <td class="small" colspan="2">
          <b><%=dmstoretext.getString("DELIVERY_FORMAT")%></b><br>
                <select name='maritalStatus' class="small">
                        <OPTION class="small" VALUE='0' selected></OPTION>
                        <OPTION class="small" VALUE='D'><%=dmstoretext.getString("DIGI_BETA")%></OPTION>
                        <OPTION class="small" VALUE='B'><%=dmstoretext.getString("BETA")%></OPTION>
                        <OPTION class="small" VALUE='3'><%=dmstoretext.getString("THREE_BY_FOUR")%></OPTION>
                        <OPTION class="small" VALUE='V'><%=dmstoretext.getString("VHS")%></OPTION>
                        <OPTION class="small" VALUE='C'><%=dmstoretext.getString("CD")%></OPTION>
                        <OPTION class="small" VALUE='W'><%=dmstoretext.getString("WEB_DOWNLOAD")%></OPTION>
                        <OPTION class="small" VALUE='O'><%=dmstoretext.getString("OTHER")%></OPTION>
                        </select>
         </td>  
        </tr>
        <tr>
         <td class="small" colspan="2">
          <b><%=dmstoretext.getString("CONNECTION_SPEED")%></b><br>
                        <select name='income' class="small">                    
                        <OPTION class="small" VALUE='0' selected><%=dmstoretext.getString("DONT_KNOW")%></OPTION>
                        <OPTION class="small" VALUE='1'><%=dmstoretext.getString("DIAL_UP")%></OPTION>
                        <OPTION class="small" VALUE='2'><%=dmstoretext.getString("ISDN")%></OPTION>
                        <OPTION class="small" VALUE='3'><%=dmstoretext.getString("DSL_CABLE")%></OPTION>
                        <OPTION class="small" VALUE='4'><%=dmstoretext.getString("T_ONE")%></OPTION>
                        </select>
         </td>  
        </tr>
        <tr>
         <td class="small" colspan="2">
          <b><%=dmstoretext.getString("HEAR_ABOUT")%></b><br>
                        <select name='age' class="small">
                        <OPTION  VALUE='0' selected></OPTION>
                        <OPTION  VALUE='1'><%=dmstoretext.getString("ADVERTISE")%></OPTION>
                        <OPTION  VALUE='2'><%=dmstoretext.getString("DIR_MARKET")%></OPTION>
                                                <OPTION  VALUE='3'><%=dmstoretext.getString("WEB")%></OPTION>
                        <OPTION  VALUE='4'><%=dmstoretext.getString("PRESS_RELEASE")%></OPTION>
                        <OPTION  VALUE='5'><%=dmstoretext.getString("TRADE_SHOW")%></OPTION>
                        <OPTION  VALUE='6'><%=dmstoretext.getString("REFERRAL")%></OPTION>
                        <OPTION  VALUE='7'><%=dmstoretext.getString("OTHER")%></OPTION>
                        </select>
         </td>  
        </tr>           
        <tr>
         <td class="small" colspan="2">
          <b><%=dmstoretext.getString("PROJECT_DURATION")%></b><br>
                <select name='gender' class="small">
                        <OPTION  VALUE='N' selected></OPTION>
                        <OPTION  VALUE='W'><%=dmstoretext.getString("WEEKLY")%></OPTION>
                        <OPTION  VALUE='M'><%=dmstoretext.getString("MONTHLY")%></OPTION>
                        <OPTION  VALUE='4'><%=dmstoretext.getString("TWO_SIX_YEAR")%></OPTION>
                        <OPTION  VALUE='2'><%=dmstoretext.getString("ONE_TWO_YEAR")%></OPTION>
                        <OPTION  VALUE='L'><%=dmstoretext.getString("LESS_THAN_ONCE")%></OPTION>
                        </select>
         </td>  
        </tr>
        <tr>
         <td class="small" colspan="2">
          <b><%=dmstoretext.getString("CAT_STOCK_FOOTAGE")%></b><br>               
         <table border=0 cellpadding=0 cellspacing=0 border=0 width="100%">
       <tr>
        <td width="50%" valign=top class="small">
                        <input type=checkbox class="small" name='demographicField51' value='1'><%=dmstoretext.getString("ANIMAL_WILDLIFE")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='2'><%=dmstoretext.getString("ARCH_DESIGN")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='3'><%=dmstoretext.getString("ARTS_ENTER")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='4'><%=dmstoretext.getString("NEWS_FOOTAGE")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='5'><%=dmstoretext.getString("NATURE_SCE")%><br>
                   <!--
                        <input type=checkbox class="small" name='demographicField51' value='6'><%=dmstoretext.getString("GEOG_TRAVEL")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='7'><%=dmstoretext.getString("HISTORICAL")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='8'><%=dmstoretext.getString("SPEC_EFFECTS")%><br>
                   --> 
                   <%//14963%>
                        <input type=checkbox class="small" name='demographicField51' value='0'><%=dmstoretext.getString("OTHER")%>
        </td>
        <td width="50%" valign=top class="small">
                        <input type=checkbox class="small" name='demographicField51' value='9'><%=dmstoretext.getString("MEDICAL")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='10'><%=dmstoretext.getString("MIL_GOV")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='11'><%=dmstoretext.getString("PEOPLE_LIFE")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='12'><%=dmstoretext.getString("SCI_TECH")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='13'><%=dmstoretext.getString("SEN_ATT")%><br>
                   <!--
                        <input type=checkbox class="small" name='demographicField51' value='14'><%=dmstoretext.getString("SPORTS_REC")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='15'><%=dmstoretext.getString("TRANSPORTATION")%><br>
                        <input type=checkbox class="small" name='demographicField51' value='16'><%=dmstoretext.getString("VISUAL_STYLES")%>
                   -->
                   <%//14963%>
                        <input type=hidden name='demographicField5' value="<%=strDemographicField5%>">
        </td>
       </tr>
      </table>          
         </td>  
        </tr>
        <tr>
         <td class="small" colspan="2">
          <b><%=dmstoretext.getString("ANY_NEW_FEATURES")%></b><br>
          <textarea cols="30" rows="5" name="hobbies" wrap="virtual"><%=strHobbies%></textarea>
     </td>
    </tr>
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" border="0" alt=""></td></tr>                          
        <tr><td colspan="2" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td></tr>        
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" border="0" alt=""></td></tr>  
        <!--tr>
         <td colspan="2" class="smallorange">
                <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="100" height="5" border="0" alt=""><br>
                <b>PLEASE TAKE OUR SURVEY</b> &#151; tell us how to serve you better and receive $100 IBM Dollars<br>
                <a href="survey" target="new" class="play">Click here for survey</a>
         </td>
        </tr>   
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" border="0" alt=""></td></tr>                          
        <tr><td colspan="2" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td></tr>        
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="5" border="0" alt=""></td></tr-->                
        <tr>
         <td colspan="2" class="small">
                <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="100" height="5" border="0" alt=""><br>
                <input type="radio" name="demographicField1" value='Y' "checked"><%=dmstoretext.getString("NEW_INFO")%><br>
                <input type="radio" name="demographicField1" value="N"><%=dmstoretext.getString("DONT_SEND_INFO")%>
                <br>
                <input type=checkbox name="demographicField21" value='Y'><%=dmstoretext.getString("SEND_HTML")%>
                        <input type=hidden name="demographicField2" value="<%=strDemographicField2%>">
                <br>
                <input type=checkbox name="demographicField31" value='Y'><%=dmstoretext.getString("ASCI_LETTER")%>
                        <input type=hidden name="demographicField3" value="<%=strDemographicField3%>">
                <p class="small">
                <br>    
                <input type="checkbox" name="demographicField41" value='Y'>*<b>
                <A href="<%=WCS_DIGITALMEDIA_COMMON%>?includefile=Terms&catalogId=<%=catalogId%>&page=edit_registration&storeId=<%= storeId %>&langId=<%=languageId%>" class="play" target="_new"><%=dmstoretext.getString("INFO_MESSAGE19")%></a></b>
                        <input type=hidden name="demographicField4" value="<%=strDemographicField4%>">     
           <br>
                <A href="javascript:prepareSubmit()"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/account/submit.gif" border="0" alt="<%=dmstoretext.getString("SUBMIT_TAB")%>"></a>
         </td>
        </tr>                                                                                                                                                                                                                                                                                                                                                                                                                   
   </table>
   </form>
  </td>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
 </tr>
</table>
        
<%
incfile = "/" + storeDir + "/common/footer.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>

<script langauge="JavaScript">
//Body onLoad not working so this goes here.
initializeState();
</script>
</body>
</html>
