<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030205  13762  vaschman add alternate tags - for accessibility 
// 030311  14475  vaschman use variables for alternate tage - translation 
// 030324  14825  johnz    Advanced search on Dusk/Dawn and Sunrise/Sunset not working
// 030610  15328  hamid    Change list of media types (cameraElement) to match DMAdminMediaUpdate.jsp.
%>

<%
//=============================================================================
//======================= SECTION:  COMMON JSP LOGIC ==========================
//=============================================================================
%>
<%
//--------------------------------------
// INCLUDE:  DigitalMedia JSP FUNCTIONS
//--------------------------------------
%>

<%@ include file="DMJSPFunc.inc" %>
<%@ include file="DMLibraryJSPFunc.inc" %>

<script>
<%@ include file="DMJSFunc.inc" %>
</script>

<%
//=============================================================================
//========================= SECTION:  HTML DOCUMENT ===========================
//=============================================================================
%>

<%
//-----------------------------------
// INCLUDE:  DigitalMedia HTML FORMS
//-----------------------------------
%>

<%@ include file="DMLibraryForms.inc" %>

<%
PropertyResourceBundle libResourceBundle1 = (PropertyResourceBundle) PropertyResourceBundle.getBundle("digitalmediaload");
String libraryapprovalprocessstr1 = libResourceBundle1.getString("WCDMLIBRARYAPPROVALPROCESS");
%>
<HEAD>
  <TITLE><%=dmstoretext.getString("LIB_IMG_DETAIL_TITLE")%></TITLE>
<META name="GENERATOR" content="IBM WebSphere Studio">
</HEAD>

<BODY marginheight="0" marginwidth="0" link="#808080" vlink="#808080" alink="#CC9900">

<%
//============================
// EXCEPTION HANDLING -- BEGIN
//============================
try 
{ 
%>




<%
//-----------------
// INCLUDE:  HEADER
//-----------------
%>
<jsp:include page="DMHeader.jsp" flush="true"/>


<%
//--------------------------------
// INCLUDE:  MEDIACOMMERCE SIDEBAR
//--------------------------------
%>
<jsp:include page="DMSidebar.jsp" flush="true"/>
        
<%
//---------------
// INCLUDE:  BODY
//---------------
%>


<%
//=============================================================================
//========================= SECTION:  JAVA SCRIPLET ===========================
//=============================================================================
%>

<% //Import classes %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.sql.*" %>
<%@ page import = "java.lang.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.mediafolder.utils.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.mediafolder.homes.*" %>

<%
        String approvalstatus = request.getParameter("approvalstatus"); //DCR.n
        // Get the required data for the JSP.
    // Get the Current user name.
        String Shlogid = MediaCommerceServlet.getParameter(request,com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_NAME,false);
    // If current name is null then make it default.
    if ((Shlogid == null) || (Shlogid.equals("")))
        Shlogid = "";
    // Initialize the homes.
    LibraryManager libMan = LibraryManager.getInstance();
        int image_num = Integer.parseInt(MediaCommerceServlet.getParameter(request,"image_num",false));
        int lib_num = Integer.parseInt(MediaCommerceServlet.getParameter(request,LibraryConstants.NVP_LIB_NUM,false));
        LibraryImgDataFull libImgDataFull = libMan.findLibraryImgFullByPrimaryKey(image_num, lib_num);

        //String imagePath = WEBOBJECTS_RELATIVE_URL + IMAGE_PREFIX + libImgDataFull.getLocation();
        String lowrespath = libImgDataFull.getMetaData("lowresfile").getAttributeValue();
        lowrespath = lowrespath.replace('\\','/');
        
        String compPath = LIBRARY_THUMB_URL + lowrespath;

        String imagePath = LIBRARY_THUMB_URL + libImgDataFull.getMetaData("thumbnailfile").getAttributeValue();
        String batchstatus = libImgDataFull.getMetaData("batchDate").getAttributeValue();
        //DCR.sn
        String imageStatus = libImgDataFull.getMetaData("imageStatus").getAttributeValue().trim(); 
        if ( (approvalstatus == null) || (approvalstatus.equals("")) )
        {
                approvalstatus = imageStatus;
        }
        //DCR.en
        LibraryData curLib = libMan.findLibraryByID(activeLibraryID);
        String lib_name = "";
        if (curLib != null)
    {   
        lib_name = curLib.getName();
        }
        
        //String checked_yes = "";
        //String checked_no = "";
        //String checked_na = "";
        //String minorRelease = libImgDataFull.getMinorRelease();
        //String minorRelease = "";//libImgDataFull.getMetaData("field24").getAttributeValue();

%>

<%
//=============================================================================
//============================ JAVASCRIPT FUNCTIONS ===========================
//=============================================================================
%>

<SCRIPT language="javascript">
// ------------------------------
// INCLUDE:  JavaScript Functions
// ------------------------------
<%@ include file="DMJSFunc.inc" %>

// Check for numeric value
function IsNumeric(strString)
{
   var strValidChars = "0123456789.";
   var strChar;
   var result = true;

   //  test strString consists of valid characters listed above
   for (i = 0; i < strString.length && result == true; i++)
      {
      strChar = strString.charAt(i);
      if (strValidChars.indexOf(strChar) == -1)
         {
         result = false;
         }
      }
   return result;
}

function CheckData(strString)
{
   var strChar;
   var result = true;

   //  test strString consists of valid characters listed above
   for (i = 0; i < strString.length && result == true; i++)
      {
      strChar = strString.charAt(i);
      if (strChar.indexOf("&") != -1)
         {
         result = false;
                 break;
         }
      }
   return result;
}

// Replace single apostrophe with double
function ReplaceApos(strString)
{
        var strChar;
        var resultString = "";

   //  test strString consists of valid characters listed above
   for (i = 0; i < strString.length; i++)
   {
        strChar = strString.charAt(i);
        if (strChar.indexOf("'") != -1)
        {
          resultString = resultString + "''";
        }
                else
                {
                        resultString = resultString + strChar;
                }
   }
   return resultString;
}



// ---------------------------
// Inline JavaScript Functions
// ---------------------------
function go_to_lib(url, user_id, lib_num) 
{
   var form = document.reloadPageForm;
   
   //--- submit form
   form.action = url;
   if (user_id != null && user_id != "") 
   {
      form.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>.value = user_id;
   }
   if (lib_num != null && lib_num != "") 
   {
      form.lib_num.value = lib_num;
   }
   form.submit();
}

function validatedata() {
        //alert('validating data');
        //alert(document.form.updateImage.<%=LibraryConstants.NVP_RESTRICTION_TEXT%>);
        var f = document.updateImage;
        if (trimAllSpaces(f.updateimageDesc.value) == "")
        {
                alert('<%=dmstoretext.getString("DETAILS_NODESCRIPTION")%>');
                f.updateimageDesc.focus();
        return false;
        }
        else if (!CheckData(f.updateimageDesc.value))
        {
                alert('<%=dmstoretext.getString("DETAILS_AMPERNOTALLOWED")%>');
                f.updateimageDesc.focus();
        return false;
        }       
        else
                f.updateimageDesc.value = ReplaceApos(f.updateimageDesc.value);
                
        if (trimAllSpaces(f.updateclipNumber.value) == "")
        {
                alert('<%=dmstoretext.getString("DETAILS_NOCLIPNUMBER")%>');
                f.updateclipNumber.focus();
        return false;
        }       
        else if (!CheckData(f.updateclipNumber.value))
        {
                alert('<%=dmstoretext.getString("DETAILS_AMPERNOTALLOWED")%>');
                f.updateclipNumber.focus();
        return false;
        }       
        
        if (trimAllSpaces(f.updateclippricehi.value) == "")
        {
                alert('<%=dmstoretext.getString("DETAILS_NOHIGHPRICE")%>');
                f.updateclippricehi.focus();
        return false;
        }
        else
        {
                if (!IsNumeric(f.updateclippricehi.value))
                {
                        alert('<%=dmstoretext.getString("DETAILS_NOCHARINHIGHPRICE")%>');
                        f.updateclippricehi.focus();
                return false;
                }
        }
        if (trimAllSpaces(f.updateclippricelo.value) == "")
        {
                alert('<%=dmstoretext.getString("DETAILS_NOLOWPRICE")%>');
                f.updateclippricelo.focus();
        return false;
        }
        else
        {
                if (!IsNumeric(f.updateclippricelo.value))
                {
                        alert('<%=dmstoretext.getString("DETAILS_NOCHARINLOWPRICE")%>');
                        f.updateclippricelo.focus();
                return false;
                }
        }

        if (trimAllSpaces(f.updateimageKeywords[0].value) == "")
        {
                alert('<%=dmstoretext.getString("DETAILS_NOKEYWORDS")%>');
                f.updateimageKeywords[0].focus();
        return false;
        }
        else if (!CheckData(f.updateimageKeywords[0].value))
        {
                alert('<%=dmstoretext.getString("DETAILS_AMPERNOTALLOWED")%>');
                f.updateimageKeywords[0].focus();
        return false;
        }
        else
                f.updateimageKeywords[0].value = ReplaceApos(f.updateimageKeywords[0].value);
                
        if (!CheckData(f.updatecategory.value))
        {
                alert('<%=dmstoretext.getString("DETAILS_AMPERNOTALLOWED")%>');
                f.updatecategory.focus();
        return false;
        }
        if (!CheckData(f.updatesubcategory.value))
        {
                alert('<%=dmstoretext.getString("DETAILS_AMPERNOTALLOWED")%>');
                f.updatesubcategory.focus();
        return false;
        }

        f.updatecategory.value = ReplaceApos(f.updatecategory.value);
        f.updatesubcategory.value = ReplaceApos(f.updatesubcategory.value);
        return (true);
}

function save_changes(form) 
{
        //--- submit form
        if (validatedata()) {
        form.action       = "<%=LIBRARY_IMAGE_UPDATE_CMD%>"; 
        form.url.value    = "<%=LIBRARY_IMAGE_DETAILS_SUCCESS_JSP%>";
        form.submit();          
        }       
}  
//DCR.sn
function save_changes_catalog(form) 
{
        
        //--- submit form
        if (validatedata()) {
        form.action       = "<%=LIBRARY_IMAGE_UPDATE_CMD%>"; 
        form.url.value    = "<%=LIBRARY_APPROVAL_DETAILS_JSP%>";
        form.approvalstatus.value = "<%=approvalstatus%>";
        form.updateimagestatus.value = "metadatacatalog";
        form.message.value = "<%=dmstoretext.getString("DETAILS_SAVED_CHANGES")%>";
        form.submit();          
        }       
}
  
function save_changes_indexing(form) 
{
        
        //--- submit form
        if (validatedata()) {
        form.action       = "<%=LIBRARY_IMAGE_UPDATE_CMD%>"; 
        form.url.value    = "<%=LIBRARY_APPROVAL_DETAILS_JSP%>";
        form.approvalstatus.value = "<%=approvalstatus%>";
        form.updateimagestatus.value = "metadataindexed";
        form.message.value = "<%=dmstoretext.getString("DETAILS_INDEX_CHANGES")%>";
        form.submit();          
        }       
}

function approve_changes(form) 
{
        
        //--- submit form
        if (validatedata()) {
        form.action       = "<%=LIBRARY_IMAGE_UPDATE_CMD%>"; 
        form.url.value    = "<%=LIBRARY_APPROVAL_DETAILS_JSP%>";
        form.approvalstatus.value = "<%=approvalstatus%>";
        form.updateimagestatus.value = "metadataapproved";
        form.message.value = "<%=dmstoretext.getString("DETAILS_APPROVE_CHANGES")%>";
        form.submit();          
        }       
}

//DCR.en

function openlowreswindow(lowresurl)
{
        var newwin = window.open(lowresurl);
}
//Brian.st
function view(activeUserID) 
{
        //--- set static values
        document.activeLibraryForm.action = "<%=LIBRARY_IMAGE_INFO_URL%>";
        document.activeLibraryForm.source_url.value = "<%=LIBRARY_CONTENTS_URL%>";
        document.activeLibraryForm.url.value = "<%=LIBRARY_CONTENTS_URL%>";
        document.activeLibraryForm.status.value = "view/edit_clicked";
   
        //--- set dynamic values
        document.activeLibraryForm.<%=LibraryConstants.NVP_LIB_NUM%>.value = <%=activeLibraryID%>;
        document.activeLibraryForm.<%=LibraryConstants.NVP_IMAGE_NUM%>.value = activeUserID + 900000000;
   
        document.activeLibraryForm.submit();
}
//Brian.ed
</SCRIPT>


<%
//=============================================================================
//============================ MAIN PAGE INFORMATION ==========================
//=============================================================================
%>

<td valign="top">
        <table border="0" cellpadding="0" cellspacing="0" width="595">
                <!--body header row1-->
                <tr>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
                <td>    
                <table border="0" cellpadding="0" cellspacing="0" width="521">
                        <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
                        </tr>
                        <tr>
                        <td valign="top">
                        <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/vieweditdetail.jpg" alt="" border="0">
                        </td>
                        <td align="right" valign="top">
                        &nbsp;
                        </td>
                        </tr>
                        <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="5" border="0" alt=""></td>
                        </tr>                   
                </table>
                </td>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="10" border="0" alt=""></td>
                </tr>   
                <!--end body header row1-->
                <!--body line row2-->           
                <tr>
            <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
                </tr>
                <!--end body line row2-->               
                <!--main body content row3-->
                <tr>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
        <td valign="top">               
                
                                <a href="javascript:go_home();"><font color="#0000CC"><%=dmstoretext.getString("DETAILS_HOME")%></font></a> &gt; 
                                <a href="javascript:go_to('<%=LIBRARY_MANAGER_URL%>','<%=activeUserID%>');"><font color="#0000CC"><%=dmstoretext.getString("LIBRARY_MANAGER")%></font></a>&gt;
                                <a href="javascript:go_to_lib('<%=LIBRARY_CONTENTS_URL%>','<%=activeUserID%>','<%=activeLibraryID%>');"><font color="#0000CC"> <%=dmstoretext.getString("LIBRARY")%></font></a>&gt;               
                                <%=dmstoretext.getString("VIEW_EDIT_DETAIL")%>
                                </font>
                </td>
        </tr>
                
                <tr>
                        <td colspan="2" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                </tr>
                <%                      
                if (!((batchstatus == null)  || ((batchstatus.trim().equals(""))))) {
                %>              
                <tr>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
                <td>
<FONT color="ff0000"><strong><%=dmstoretext.getString("DETAILS_SYSTEMUPDATINGMESS")%></strong></FONT>
                </td>
                </tr>
                <%}%>
                
                <tr>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
                <td>            
                                <font face="Arial, Helvetica, sans-serif" size="1">     <%=dmstoretext.getString("SELLINGTIPSI")%></font>
                </td>
                </tr>
                
                <tr valign="top">
                        <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="10" height="1"></td>
                        <td height="20"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="12"></td>
                </tr>
                
                <tr>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
                <td>                            
                
                
                <!--Start of outside table for alignment purposes-->
                <table border="0" cellspacing="0" cellpadding="0">
                 <tr>
                  <td>
                   <table width="520">
                        <td colspan="1" border="0"><img src="<%=imagePath%>" border="1"></td>
                                        <td width="170" border="0"></td>
                                        <td border="1">
                                         <table border="0">
                                         <%
                                         //DCR.sn 
                                        if (libraryapprovalprocess)
                                        {
                                                if (imageStatus.equalsIgnoreCase("V"))
                                                {
                                                %>
                                                        <tr>
                                                   <td><%=dmstoretext.getString("PREVIEW")%></td><td><a href="javascript:openlowreswindow('<%=compPath%>')"><%=dmstoretext.getString("VIEW")%></a></td>
                                                  </tr>
                                          <%
                                                }
                                                else if ( (uploadlist.indexOf(libraryuserrole) != -1) && (!(imageStatus.equalsIgnoreCase("N"))) && (indexlist.indexOf(libraryuserrole) == -1) && (approvelist.indexOf(libraryuserrole) == -1))
                                                {
                                                }
                                                else
                                                {
                                                        %>
                                                        <form name="libthumbform" action="<%=LIBRARY_THUMBIMAGE_UPLOAD_URL%>">
                        <input type="hidden" name="lib_num" value="<%=activeLibraryID%>">
                        <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>" value="<%=activeUserID%>">
                        <input type="hidden" name="image_num" value="<%=libImgDataFull.getMetaData("imageID").getAttributeValue()%>">
                        <input type="hidden" name="lowresupdate" value="NO">
                        </form>
<form name="createthumbform" action="<%=LIBRARY_THUMBIMAGE_UPLOAD_URL%>">
                        <input type="hidden" name="lib_num" value="<%=activeLibraryID%>">
                        <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>" value="<%=activeUserID%>">
                        <input type="hidden" name="image_num" value="<%=libImgDataFull.getMetaData("imageID").getAttributeValue()%>">
                        <input type="hidden" name="lowresupdate" value="auto">
                        <input type="hidden" name="filewebname" value="<%=compPath%>">
                        </form>
                                                        <tr>
                                                   <td><%=dmstoretext.getString("THUMBNAILS")%></td><td><%if ((batchstatus == null)  || ((batchstatus.trim().equals("")))) {
                                                        %><a href="javascript:document.libthumbform.lowresupdate.value='NO';document.libthumbform.submit();"><%=dmstoretext.getString("REPLACE")%></a><%} else {%><%=dmstoretext.getString("DETAILS_SYSTEMLOCKED")%><%}%></td>
                                                  </tr>
                                                        <tr>
                                                   <td></td>
                                                   <td><%if ((batchstatus == null)  || ((batchstatus.trim().equals("")))) {
                                                %><a href="javascript:document.createthumbform.submit();"><%=dmstoretext.getString("GENERATE")%> <font size=1><%//=dmstoretext.getString("THUMBNAIL_CREATOR")%></font></a><%} else {%><%=dmstoretext.getString("DETAILS_SYSTEMLOCKED")%><%}%></td>
                                                  </tr>
                                                <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="2" border="0" alt=""></td></tr>
                                                <tr><td colspan="2" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td></tr>
                        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="2" border="0" alt=""></td></tr>
                                                  <tr>
                                                   <td><%=dmstoretext.getString("PREVIEW")%></td><td><a href="javascript:openlowreswindow('<%=compPath%>')"><%=dmstoretext.getString("VIEW")%></a></td>
                                                  </tr>
                                                  <tr>
                                                   <td></td>
                                                   <td><%if ((batchstatus == null)  || ((batchstatus.trim().equals("")))) {
                                                %><a href="javascript:document.libthumbform.lowresupdate.value='YES';document.libthumbform.submit();"><%=dmstoretext.getString("REPLACE")%></a><%} else {%><%=dmstoretext.getString("DETAILS_SYSTEMLOCKED")%>
                                                <%}%></td>
                                                </tr>
                                          <%
                                                }
                                        }
                                        else
                                        {
                                        //DCR.en
                                        %>
                                          <tr>
                                           <td><%=dmstoretext.getString("THUMBNAILS")%></td><td><%if ((batchstatus == null)  || ((batchstatus.trim().equals("")))) {
                                        %><a href="javascript:document.libthumbform.lowresupdate.value='NO';document.libthumbform.submit();"><%=dmstoretext.getString("REPLACE")%></a><%} else {%><%=dmstoretext.getString("DETAILS_SYSTEMLOCKED")%><%}%></td>
                                          </tr>
                                          <tr>
                                           <td></td>
                                           <td><%if ((batchstatus == null)  || ((batchstatus.trim().equals("")))) {
                                        %><a href="javascript:document.createthumbform.submit();"><%=dmstoretext.getString("GENERATE")%> <font size=1><%//=dmstoretext.getString("THUMBNAIL_CREATOR")%></font></a><%} else {%><%=dmstoretext.getString("DETAILS_SYSTEMLOCKED")%><%}%></td>
                                          </tr>
                                          <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="2" border="0" alt=""></td></tr>
                                                <tr><td colspan="2" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td></tr>
                        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="2" border="0" alt=""></td></tr>
                                          <tr>
                                           <td><%=dmstoretext.getString("PREVIEW")%></td><td><a href="javascript:openlowreswindow('<%=compPath%>')"><%=dmstoretext.getString("VIEW")%></a></td>
                                          </tr>
                                          <tr>
                                           <td></td>
                                           <td><%if ((batchstatus == null)  || ((batchstatus.trim().equals("")))) {
                                        %><a href="javascript:document.libthumbform.lowresupdate.value='YES';document.libthumbform.submit();"><%=dmstoretext.getString("REPLACE")%></a><%} else {%><%=dmstoretext.getString("DETAILS_SYSTEMLOCKED")%>
                                        <%}%></td>
                                          </tr>
                                          <%
                                          }//DCR.n
                                          %>
                                          <!--
                                          <tr>
                                           <td><%=dmstoretext.getString("HI_RES")%></td>
                                           <td><a href="javascript:not_ready()"><%=dmstoretext.getString("UPLOAD")%></a></td>
                                          </tr>
                                          <tr>
                                           <td></td>
                                           <td><a href="javascript:not_ready()"><%=dmstoretext.getString("REPLACE")%></a></td>
                                          </tr>
                                          <tr>
                                           <td></td>
                                           <td><a href="javascript:not_ready()"><%=dmstoretext.getString("SHIP_CD")%></a></td>
                                          </tr>
                                          -->
                                        </table>
                                   </td>
                   </table>
              </td>
                 </tr>
<%
// DCR.sn
boolean canupdatemetadata = true;
if (libraryapprovalprocess)
{
        if (!(imageStatus.trim().equalsIgnoreCase("V")))
        {
                if ( (indexlist.indexOf(libraryuserrole) == -1) && (approvelist.indexOf(libraryuserrole) == -1) )
                {
                        canupdatemetadata = false;
                }
        }
}
                 %>
                 <%
                 if (canupdatemetadata)
                 {
                 %>
                  <tr>  
                  <td>
                  
                <table border="0" cellspacing="0" height="0" width="450" cellpadding="0">
                <tr>
                <td bgcolor="#cccccc" width="1" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" colspan="5" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" width="10" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="2"></td>
        </tr>
        <tr>
                <td bgcolor="#cccccc" width="1" height="1050"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td width="8" height="1050"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="8" height="25"></td>
                <td valign="top" colspan="4" height="1050"> 
                        <table border="0" cellspacing="0" cellpadding="0" width="450">
                        <tr>
                        <td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                </tr>
       
                <tr>
                        <td colspan="2" height="3"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                </tr>
                                <%
                                if (lib_name.trim().equalsIgnoreCase("default"))
                                {
                                %>
                <tr>
                                    <%/*Brian.st*/%>
                        <td colspan="2"><A HREF="javascript:view(<%=activeUserID%>)"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/edit_default_data.gif" alt="<%=dmstoretext.getString("LIBIMG1_TAG")%>" border="0"></a></td>
                    <%/*Brian.edt*/%>
                                </tr>
                                <%
                                }
                                %>
                <tr valign="top">
                        <td colspan="2">
                                                <table cellspacing="0" cellpadding="0" width="400">
                                                <form name="updateImage" method="post" action="<%=LIBRARY_IMAGE_UPDATE_CMD%>">
                                                <%
                                                        // DCR.o String imageStatus = libImgDataFull.getMetaData("imageStatus").getAttributeValue().trim();

                                                        //DCR.so
                                                        /*
                                                        if ((imageStatus == null) || (imageStatus.equals("")) || (imageStatus.equals("N")) || (imageStatus.equals("I")))
                                                                imageStatus = "I";
                                                        else
                                                                imageStatus = "U";
                                                        */
                                                        //DCR.eo
                                                %>              
                                
                                                <input type="hidden" name="updateimagestatus" value="metadata">
                                                <input type="hidden" name="approvalstatus" value="">
                                                <input type="hidden" name="message" value="">
                                                <input type="hidden" name="errorurl" value="<%=ERROR_HANDLER_JSP%>">
                                                <input type="hidden" name="lib_num" value="<%=activeLibraryID%>">
                                                <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_URL%>" value="<%=LIBRARY_IMAGE_DETAILS_JSP%>">
                                                <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>" value="<%=activeUserID%>">
                                <input type="hidden" name="image_num" value="<%=libImgDataFull.getMetaData("imageid").getAttributeValue()%>">
                                            <tr>
                                <td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="150" height="1"></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif"  height="6"></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="25" height="1"></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="300" height="8"></td>
                                </tr>

                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_IMAGE_ID")%></font></b></td>
                            <td></td><td></td>
                                    <td> <b><font face="Arial, Helvetica, sans-serif" size="1"><%/*libImgDataFull.getImageID()*/%><%=libImgDataFull.getMetaData("imageid").getAttributeValue()%></font></b></td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                        </tr>
                                        
                        <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                <tr>
                                        <td colspan="2" valign="top"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red>*</font><%=dmstoretext.getString("DETAILS_DESCRIPTION")%></font></b></td>
                                    <td></td>
                                                        <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <textarea name="updateimageDesc" rows="3" cols="30"><%=libImgDataFull.getMetaData("imageDesc").getAttributeValue()%></textarea>
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_CATEGORY")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String catvalue = libImgDataFull.getMetaData("category").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatecategory\" size=\"35\" value=\"<%=catvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatecategory\" size=\"25\" value=\"<%=catvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatecategory\" size=\"15\" value=\"<%=catvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatecategory\" size=\"20\" value=\"<%=catvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updatecategory" size="35" value="<%=libImgDataFull.getMetaData("category").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_SUBCATEGORY")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String subcatvalue = libImgDataFull.getMetaData("subcategory").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"40\" value=\"<%=subcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"30\" value=\"<%=subcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"20\" value=\"<%=subcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"35\" value=\"<%=subcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updatesubcategory" size="35" value="<%=libImgDataFull.getMetaData("subcategory").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                        
                                                
                                                <tr>
                                                <%  String clipNumber = libImgDataFull.getMetaData("clipNumber").getAttributeValue();
                                                        if (libImgDataFull.getMetaData("imageStatus").getAttributeValue().trim().equals("N")) 
                                                                clipNumber = libImgDataFull.getMetaData("imageID").getAttributeValue();
                                                        %>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red>*</font><%=dmstoretext.getString("DETAILS_CLIPNUMBER")%></font></b></td>
                                    <td></td><td></td>
                                    <td>                                                                
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"15\" value=\"<%=clipNumber%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"9\" value=\"<%=clipNumber%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"8\" value=\"<%=clipNumber%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"10\" value=\"<%=clipNumber%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updateclipNumber" size="10" value="<%=clipNumber%>"> -->
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red>*</font><%=dmstoretext.getString("HIGH_RES_CLIP_PRICE")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String cliphighprice = libImgDataFull.getMetaData("clippricehi").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\"  name=\"updateclippricehi\" size=\"15\" value=\"<%=cliphighprice%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateclippricehi\" size=\"9\" value=\"<%=cliphighprice%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateclippricehi\" size=\"8\" value=\"<%=cliphighprice%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateclippricehi\" size=\"10\" value=\"<%=cliphighprice%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updateclippricehi" size="10" value="<%=libImgDataFull.getMetaData("clippricehi").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red>*</font><%=dmstoretext.getString("LOW_RES_CLIP_PRICE")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String clippricelow = libImgDataFull.getMetaData("clippricelo").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"15\" value=\"<%=clippricelow%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"9\" value=\"<%=clippricelow%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"8\" value=\"<%=clippricelow%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"10\" value=\"<%=clippricelow%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>

                                        <!-- <input type="text" name="updateclippricelo" size="10" value="<%=libImgDataFull.getMetaData("clippricelo").getAttributeValue()%>"> -->
                                    </td>
                                </tr>

                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("FILE_SIZE")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String filesize = libImgDataFull.getMetaData("fileSize").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatefileSize\" size=\"15\" value=\"<%=filesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatefileSize\" size=\"9\" value=\"<%=filesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatefileSize\" size=\"8\" value=\"<%=filesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatefileSize\" size=\"10\" value=\"<%=filesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updatefileSize" size="10" value="<%=libImgDataFull.getMetaData("fileSize").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                                        <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("IMAGE_SIZE")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String imagesize = libImgDataFull.getMetaData("imageSize").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageSize\" size=\"15\" value=\"<%=imagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageSize\" size=\"9\" value=\"<%=imagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageSize\" size=\"8\" value=\"<%=imagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageSize\" size=\"10\" value=\"<%=imagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updateimageSize" size="10" value="<%=libImgDataFull.getMetaData("imageSize").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                                                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_COMPRESSION")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String compressionval = libImgDataFull.getMetaData("compression").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatecompression\" size=\"15\" value=\"<%=compressionval%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatecompression\" size=\"9\" value=\"<%=compressionval%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatecompression\" size=\"8\" value=\"<%=compressionval%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatecompression\" size=\"10\" value=\"<%=compressionval%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updatecompression" size="10" value="<%=libImgDataFull.getMetaData("compression").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                                

                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                
                        <tr>
                            <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("ERA")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateera" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_HISTORICAL")%>"><%=dmstoretext.getString("DETAILS_HISTORICAL")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_CONTEMPORARY")%>"><%=dmstoretext.getString("DETAILS_CONTEMPORARY")%></option>
                                </select>
                                                                                                                        <script language="javascript">
                                                                var selectedEra = "<%=libImgDataFull.getMetaData("era").getAttributeValue()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateera.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateera.options[x].value == selectedEra) {
                                                                                document.updateImage.updateera.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                                                                

                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                
                        <tr>
                            <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("COLOR")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateimageColor" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="B"><%=dmstoretext.getString("DETAILS_BLACKANDWHITE")%></option>
                                    <option value="C"><%=dmstoretext.getString("COLOR")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedImageColor = "<%=libImgDataFull.getMetaData("imageColor").getAttributeValue()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateimageColor.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateimageColor.options[x].value == selectedImageColor) {
                                                                                document.updateImage.updateimageColor.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_TIMEODAY")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updatetimeOfDay" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_DAY")%>"><%=dmstoretext.getString("DETAILS_DAY")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_NIGHT")%>"><%=dmstoretext.getString("DETAILS_NIGHT")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_SUNRISESET")%>"><%=dmstoretext.getString("DETAILS_SUNRISESET")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_DUSKDAWN")%>"><%=dmstoretext.getString("DETAILS_DUSKDAWN")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedTime = "<%=libImgDataFull.getMetaData("timeOfDay").getAttributeValue()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatetimeOfDay.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatetimeOfDay.options[x].value == selectedTime) {
                                                                                document.updateImage.updatetimeOfDay.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
<tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_INTEXT")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateintExt" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_INTERIOR")%>"><%=dmstoretext.getString("DETAILS_INTERIOR")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_EXTERIOR")%>"><%=dmstoretext.getString("DETAILS_EXTERIOR")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedIntExt = "<%=libImgDataFull.getMetaData("intExt").getAttributeValue()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateintExt.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateintExt.options[x].value == selectedIntExt) {
                                                                                document.updateImage.updateintExt.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
<tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_CAMSPEED")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updatecameraSpeed" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="S"><%=dmstoretext.getString("DETAILS_SLOWMOTION")%></option>
                                    <option value="R"><%=dmstoretext.getString("DETAILS_REALTIME")%></option>
                                    <option value="T"><%=dmstoretext.getString("DETAILS_TIMELAPSE")%></option>
                                    <option value="F"><%=dmstoretext.getString("DETAILS_FASTMOTION")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedSpeed = "<%=libImgDataFull.getMetaData("cameraSpeed").getAttributeValue().trim()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatecameraSpeed.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatecameraSpeed.options[x].value == selectedSpeed) {
                                                                                document.updateImage.updatecameraSpeed.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
<tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_CAMERAELEMENT")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                <select name="updatecameraElement" size="1">
                                    <% /***d15328* %>
                                    <option value="<%=dmstoretext.getString("DETAILS_IMAGE")%>" selected><%=dmstoretext.getString("DETAILS_IMAGE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_VIDEO")%>"><%=dmstoretext.getString("DETAILS_VIDEO")%></option>
                                    <% *d15328***/ %>
                                    <% //--- d15328: BEGIN (following MUST match DMAdminMediaUpdate.jsp) %>
                                    <option value="Image">Image</option>
                                    <option value="Audio">Audio</option>
                                    <option value="Video">Video</option>
                                    <option value="PowerPoint">PowerPoint</option>
                                    <option value="Acrobat">Acrobat</option>
                                    <option value="Excel">Excel</option>
                                    <option value="MSWord">MSWord</option>
                                    <option value="PHOTOSHOP">Photoshop</option>
                                    <option value="HTML">HTML</option>
                                    <option value="TEXT">Text</option>
                                    <option value="Other">Other</option>
                                    <% //--- d15328: END %>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedElement = "<%=libImgDataFull.getMetaData("cameraElement").getAttributeValue().trim()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatecameraElement.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatecameraElement.options[x].value == selectedElement) {
                                                                                document.updateImage.updatecameraElement.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_TIMEPER")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updatetimePeriod" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_PREHISTORIC")%>"><%=dmstoretext.getString("DETAILS_PREHISTORIC")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_ANCIENT")%>"><%=dmstoretext.getString("DETAILS_ANCIENT")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_MODERN")%>"><%=dmstoretext.getString("DETAILS_MODERN")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_1900")%>"><%=dmstoretext.getString("DETAILS_1900")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_2000")%>"><%=dmstoretext.getString("DETAILS_2000")%></option> <% //d13867 %>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedPeriod = "<%=libImgDataFull.getMetaData("timePeriod").getAttributeValue().trim()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatetimePeriod.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatetimePeriod.options[x].value == selectedPeriod) {
                                                                                document.updateImage.updatetimePeriod.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_RELEASE")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateimageRelease" size="1">
                                                                
                                    <option value="Y" ><%=dmstoretext.getString("YES")%></option>
                                    <option value="N"><%=dmstoretext.getString("NO_CHOICE")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedRelease = "<%=libImgDataFull.getMetaData("imageRelease").getAttributeValue().trim()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateimageRelease.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateimageRelease.options[x].value == selectedRelease) {
                                                                                document.updateImage.updateimageRelease.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_RESTRICTIONS")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateimageRestricts" size="1">
                                    <option value="Y" ><%=dmstoretext.getString("YES")%></option>
                                    <option value="N"><%=dmstoretext.getString("NO_CHOICE")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedRestriction = "<%=libImgDataFull.getMetaData("imageRestricts").getAttributeValue().trim()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateimageRestricts.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateimageRestricts.options[x].value == selectedRestriction) {
                                                                                document.updateImage.updateimageRestricts.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>

<%
                                                //String keyword_list = libImgDataFull.getKeyWords();
                                                String keyword_list = libImgDataFull.getMetaData("imageKeywords").getAttributeValue();
                                                StringTokenizer st = new StringTokenizer(keyword_list, ",");
                                                Vector keywords = new Vector();
                                                int blnks_cnt = 10 - st.countTokens();
                                                while(st.hasMoreElements())
                                                {
                                                        keywords.addElement(st.nextElement());
                                                }
                                                while(blnks_cnt > 0)
                                                {
                                                        keywords.addElement(null); 
                                                        blnks_cnt--;
                                                }
                                                int i = 0;
                                                while(i < 10)
                                                { 
%>
                                                <tr>
                                                        <td colspan="2" valign="top" height="7">
<%                                                      if(i == 0)
                                                        { %>
                                                                <p><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red>*</font><%=dmstoretext.getString("ASSIGN_KEYWORDS")%></font></b></p>
<%                                                      }   
                                                        if(i == 4)
                                                        { %>
                                                                <!-- <b><font face="Arial, Helvetica, sans-serif" size="1"><a href="#"><%=dmstoretext.getString("LIBRARY_BROWSE_KEYWORDS")%>&gt;&gt;</a></font></b> -->
<%                                                      } %>
                                                        </td>
                                                        <td></td>
                                                        <td valign="top">
<%                                                      if(i == 4)
                                                        { %>
                                                                <a href="#"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15" border="0" alt="<%=dmstoretext.getString("LIBIMG2_TAG")%>"></a>
<%                                                      } %>                    
                                                        </td>
                                                        <td height="7">
<%                                                      if(keywords.elementAt(i) != null)
                                                        { %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      }
                                                        else
                                                        { %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      }
                                                        i++;
                                                        if(keywords.elementAt(i) != null)
                                                        { %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      }
                                                        else
                                                        { %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      } %>
                                                        </td>
                                                </tr>
<%                                                      i++;
                                                } %>    

</Form>
                                                <tr>
                                                        <td align="right" width="410"><b><font face="Arial, Helvetica, sans-serif" size="1">
                                
                                        <%
                                                
                                                if ((batchstatus == null)  || ((batchstatus.trim().equals(""))))
                                                {
                                        %>
                                                        <%
                                                // DCR.sn
                                                if (libraryapprovalprocess)
                                                {
                                                        if (!(imageStatus.trim().equalsIgnoreCase("V")))
                                                        {
                                                        
                                                        if (indexlist.indexOf(libraryuserrole) != -1)
                                                        {                                                               
                                                        %>
                                                        <a href="javascript:save_changes_catalog(document.updateImage);"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/savemedia.gif" alt="<%=dmstoretext.getString("LIBIMG3_TAG")%>" border="0"></a>&nbsp;&nbsp;
                                                        <%
                                                        if (!(approvalstatus.equals("T")))
                                                        {
                                                        %>
                                                        <a href="javascript:save_changes_indexing(document.updateImage);"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/indexmedia.gif" alt="<%=dmstoretext.getString("LIBIMG4_TAG")%>" border="0"></a>&nbsp;&nbsp;
                                                        <%
                                                        }
                                                        %>
                                                        <%
                                                        }
                                                        if (approvelist.indexOf(libraryuserrole) != -1)
                                                        {
                                                        %>
                                                        <a href="javascript:approve_changes(document.updateImage);"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/approvemedia.gif" alt="<%=dmstoretext.getString("LIBIMG5_TAG")%>" border="0"></a>&nbsp;&nbsp;
                                                        <%
                                                        }
                                                        
                                                        }
                                                }
                                                else
                                                {
                                                // DCR.en
                 %>
                 
                 
                                        <a href="javascript:save_changes(document.updateImage);"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/savemedia.gif" alt="<%=dmstoretext.getString("LIBIMG3_TAG")%>" border="0"></a>&nbsp;&nbsp;
                                        <%
                 }// DCR.n
                 %>
                                        </font></b></td>
                                                  <% } else { %>
                       <%=dmstoretext.getString("DETAILS_BUSY")%></font></b></td>
                                           <%}%>
                                                </tr>

                                                
                                                

                 
                 
                                                </table>
                                        </td>
                                        </tr>
                                        </table>                                        
                                </td>
                                <td bgcolor="#cccccc" width="1" height="1050"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                                </tr>
                                <tr>
                <td bgcolor="#cccccc" width="1" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" colspan="5" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" width="10" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="2"></td>
                </tr>
                                </table>
                                
                        <%
                        }
                        %>      
                </table>                <!--end of outside table for alignment purposes-->
                
                
                
        </td>           
        </tr>   
</table>

        
</td>
<script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                        } else {
                                                                                document.write('<td bgcolor=\"#000000\" width=\"1\"><img src=\"<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif\" width=\"1\" height=\"15\" border=\"0\"></td>');
                                                                }
                                                            }
                                                        //-->
                                                                </script>

</tr>   
</table>



<%
//-----------------
// INCLUDE:  FOOTER
//-----------------
%>

<jsp:include page="DMFooter.jsp" flush="true"/>


<%
//==========================
// EXCEPTION HANDLING -- END
//==========================
} 
catch (Exception e) 
{
   /***************************************************************************/
   /* Note:  Do NOT dispatch message here since by this point, some HTML code */
   /*        may have already been written and some browsers will NOT display */
   /*        a new HTML page before the current HTML page is completed.       */
   /***************************************************************************/
   
   //--- Set the message
   String msg = dmstoretext.getString("DMCOMMON_TEXT1") + e.toString();
   
   //--- Log the message
   Message.logMessage(msg, 0);
   
   //--- Display the error as part of the current HTML page
%>
   <br><b><%=dmstoretext.getString("ERROR")%></b> <%=msg%>
<%
   
   //--- Print a dump of the exception
   e.printStackTrace();
}
%>

</BODY>
</HTML>
