<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
//* shipping.jsp
%> 
<%//Fix: 6248 : 06/29/2001: Shipping Method Download Only to be included. %>
<% // if any method has Download in its description then make it as selected and show it at the top. %>
<%//Fix: 6595, Date:08/21/2001 Manoj Khilnani
// Default Selection should be download only. And if previous clicked
// it should go back to history. From the billing address when one says next it 
// should create a download shipping address if one is not present.

//Fix 14375, 02/24/2003, vaschman - add text to alt tag for accessibility
//Fix 14475, Date:03/09/2003, vaschman - use variables for alt tags - translation
//Fix 14880, 03/28/2003, vaschman - remove width and height to improve image display (translation)
//Fix 14951, 03/31/2003, vaschman - remove vspace, hspace to improve image display
%>

<%@ page language="java" %>

<% // All JSPs requires the first 4 packages for getResource.jsp which is used for multi language support %> 
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="java.lang.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.fulfillment.objects.*" %>
<%@ page import="com.ibm.commerce.fulfillment.beans.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

  
<%@ include file="getResource.jsp"%>
<% response.setContentType(dmstoretext.getString("ENCODESTATEMENT")); %> 
<%

String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");
String orderRn = request.getParameter("orderId");


if (storeId == null)
{  
        String [] arrstoreId = (String []) request.getAttribute("storeId");
        if (arrstoreId != null) storeId = arrstoreId[0];
}
if (languageId == null)
{  
        String [] arrlanguageId = (String []) request.getAttribute("langId");
        if (arrlanguageId != null) languageId = arrlanguageId[0];
}
if (catalogId == null)
{  
        String [] arrcatalogId = (String []) request.getAttribute("catalogId");
        if (arrcatalogId != null) catalogId = arrcatalogId[0];
}
if (orderRn == null)
{  
        String [] arrorderRn = (String []) request.getAttribute("orderId");
        if (arrorderRn != null) orderRn = arrorderRn[0];
}

%>
<SCRIPT language="javascript">
//6595.sn
function goback()
{
	history.go(-1);
}
//6595.en
</SCRIPT>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<head><title><%= dmstoretext.getString("SELECT_IMAGE_RESOLUTION") %></title>
</head>

<body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" rightmargin="0" bgcolor="#FFFFFF">


<%
String incfile;

incfile = "/" + storeDir + "/common/header.jsp";
%>
<jsp:include page="<%=incfile%>" flush="true"/>


<%
incfile = "/" + storeDir + "/common/sidebar.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>
<!--END SEARCH-->

<!--MAIN CONTENT STARTS HERE-->

<table border="0" cellpadding="0" cellspacing="0" width="595">
 <!--body header row1-->
 <tr>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
  <td>  
   <table border="0" cellpadding="0" cellspacing="0" width="521">
        <tr>
         <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
        </tr>
        <tr>
         <td valign="top">
                <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/rf_checkout.gif" alt="" border="0"><br>
         </td>
         <td align="right" valign="top"></td>
        </tr>
        <tr>
         <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
        </tr>                   
   </table>
  </td>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
 </tr>  
 <!--end body header row1-->
 <!--body line row2-->          
 <tr>
  <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
 </tr>
 <!--end body line row2-->              
 <!--main body content row3-->                                          
 <tr>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
  <td valign="top">
        <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""><br>
        <div class="orangeheader"><%= dmstoretext.getString("CHOOSE_SHIP_METHOD") %> <%= dmstoretext.getString("STEP_3_4") %></div>
		
		<%
   String displaymessage = "";
   String msg_args[] = new String[1];  
   msg_args[0] = "<A href=\"" + WCS_DIGITALMEDIA_COMMON + "?includefile=OrderHelp&catalogId=" + catalogId + "&orderId=" + orderRn + "&storeId=" + storeId + "&langId=" + languageId + "\">";
   displaymessage = java.text.MessageFormat.format(dmstoretext.getString("SELECT_SHIIPPING_METHOD"),msg_args);
   displaymessage = displaymessage + "</a>";
   %>
	<%=displaymessage%>
		
    <p>
        <form NAME=ShipMethodPage  METHOD=GET action="OrderItemUpdate">
        <input type=hidden name="storeId" value="<%=storeId%>">
        <input type=hidden name="catalogId" value="<%=catalogId%>">
        <input type=hidden name="langId" value="<%=languageId%>">
        <input type=hidden name="orderId" value="<%=orderRn%>">
        <input type=hidden name="status" value="P">     
        <input type=hidden name="URL" value="OrderDisplay">
        
   <table border="0" cellpadding="0" cellspacing="0" width="525">       
        
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="10" border="0" alt=""></td></tr>
        <tr><td bgcolor="#CCCCCC" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="350" height="1" border="0" alt=""></td></tr>
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="10" border="0" alt=""></td></tr>

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
<% 
orderBean.setOrderId(orderRn);
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
%>
</jsp:useBean>

<!-- 
Display all available shipping modes. For every shipping mode we display 
the cost structure and approximate delivery time. To make it easy to
display those information we store them as description in
SHPMODEDSC table. If you change the shipping
charge in the database, make sure you also change the description in
SHPMODEDSC table so that shoppers can see the updated values in this page.

SHPMODEDSC.FIELD1 is used to store the cost structure description.
SHPMODEDSC.FIELD2 is used to store the approximate delivery time.
-->

<%
Vector list = new Vector(); // 6248.new
OrderItemAccessBean [] orderItemAccessBean = orderBean.getOrderItems(); 
String shipmodeId = orderItemAccessBean[0].getShippingModeId().trim();
String selection = "";
boolean oneselected = false; //6595.n
ShippingDataBean ShippingDataBean = new ShippingDataBean();
Enumeration enum_sd = ShippingDataBean.findByStoreEntity(new Integer(storeId));
while (enum_sd.hasMoreElements())
{
        ShippingDataBean shipModeAB = ((ShippingDataBean) enum_sd.nextElement());
        String shipModeIdsetting = shipModeAB.getShippingModeId();
        ShippingModeDescriptionAccessBean shipmodeDsc = new ShippingModeDescriptionAccessBean();
        shipmodeDsc.setInitKey_shipModeId(shipModeIdsetting);
        shipmodeDsc.setInitKey_languageId(languageId);
        
        if ( shipmodeDsc.getShipModeId().equals(shipmodeId))
                selection = "checked";
        else 
                selection = "";

     // Need to put shipping price in field1 and shipping time in field2 in shpmodedsc table
     String shippingMethodName = shipmodeDsc.getDescription();
     String shippingMethodCost = shipmodeDsc.getField1();
     String shippingMethodTime = shipmodeDsc.getField2();
     if (shippingMethodCost == null || shippingMethodCost.equals("null")) 
                shippingMethodCost = "";
         if (shippingMethodTime == null || shippingMethodTime.equals("null")) 
                shippingMethodTime = "";
                
        //6248.startnew
        if ( ( shippingMethodTime != null ) && (shippingMethodTime.toUpperCase().indexOf("DOWNLOAD") >= 0) )
		{
                selection = "checked";
				oneselected = true; //6601.n
		}
        else    
                selection = "";
				
		//6595.sn	
		//If this is the last method and shipping method wasn't selected
		//before, select the last method as default.
		if (!(enum_sd.hasMoreElements()))
		{
			if (!(oneselected))
			{
				selection = "checked";
				oneselected = true;
			}
		}
		//6595.en
                
        
       if ( ( shippingMethodTime != null ) && (shippingMethodTime.toUpperCase().indexOf("DOWNLOAD") >= 0) )
		{
			String temp = "<tr><td width=\"5\" valign=\"top\"><input type=\"radio\" name=\"shipModeId\" value=\"" + shipmodeDsc.getShipModeId() + "\" " + selection + "></td><td class=\"small\"><b>" + shippingMethodName + "</b>&nbsp;&nbsp;" + shippingMethodCost + "</td></tr>";
            list.insertElementAt(temp, 0);
		}
    	else                
		{
			String temp = "<tr><td width=\"5\" valign=\"top\"><input type=\"radio\" name=\"shipModeId\" value=\"" + shipmodeDsc.getShipModeId() + "\" " + selection + "></td><td class=\"small\"><b>" + shippingMethodName + "</b>&nbsp;&nbsp;" + shippingMethodTime + "&nbsp;&nbsp;" + shippingMethodCost + "</td></tr>";
            list.addElement(temp);
		}
        //6248.endnew
%>

<%//6248.startold %>
<!-- 
    <tr>
         <td width="5" valign="top"><input type="radio" name="shipModeId" value="<%//= shipmodeDsc.getShipModeId()%>" <%//=selection%>></td>
         <td class="small"><b><%//=shippingMethodName%></b>&nbsp;&nbsp;<%//=shippingMethodTime%>&nbsp;&nbsp;<%//=shippingMethodCost%></td>
        </tr> 
-->
<%//6248.endold %>
<%
        }
        //6248.startnew
        for (int x=0; x<list.size(); x++)
        {
        %>
        <%=(String)list.elementAt(x)%>
        <%
        //6248.endnew
        }
%>

    <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="10" border="0" alt=""></td></tr>    
        <tr><td colspan="2" class="small"><%= dmstoretext.getString("NO_SHIPPING_TO_PO_BOXES") %></td></tr> 
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="10" border="0" alt=""></td></tr>
        <tr><td bgcolor="#CCCCCC" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="350" height="1" border="0" alt=""></td></tr>
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="10" border="0" alt=""></td></tr>
        <tr>
         <td colspan="2">
		  <!-- <a href="OrderItemDisplay?storeId=<%//=storeId%>&page=shipaddress&langId=<%//=languageId%>&catalogId=<%//=catalogId%>" > --><%//6595.o%>
	 		<a href="javascript:goback()"><%//6595.n%>
                <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/rf_previousbutton.gif" border="0" alt="<%=dmstoretext.getString("PREV_TAG")%>"></a>
          
          <A href="javascript:document.ShipMethodPage.submit()">
                <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/rf_nextbutton.gif" border="0" alt="<%=dmstoretext.getString("NEXT_TAG")%>"></a>
         </td>
        </tr>   
        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="20" border="0" alt=""></td></tr>                                
   </table>
   </form>
  </td>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
 </tr>
</table>
 

<%
incfile = "/" + storeDir + "/common/footer.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>


</body>

</html>




